screen ~ dstress_apply "MECHANICAL BOUNDARY CONDITIONS" \
       r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r5  c1   w8  h4 i13 : *previous_apply
  string "%s"   r=  c+8  w16 h4 i11 : apply_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_apply
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_apply
  button "NAME" r=  c+8  w8  h4 i13 U : *apply_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_apply
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw70 dh76 : *edit_apply {

    label  "CURRENTLY DEFINED BOUNDARY CONDITIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : apply_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(apply)"  ? top.hlp
    button "UP"   r+5 c=  w8  h4 i13 U : "*pick_list_prev(apply,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(apply,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : "*remove_popup"

  endpopup }

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h45 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_displacement
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_global_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_gravity_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_centrifugal_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_foundation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_foundation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_nodal_temperature
 
  popup "FIXED DISPLACEMENT" r-36 c2 w27 h4 i10 dr14 dc36 dw40 dh42 \
      : "*apply_type fixed_displacement" {

    label "FIXED DISPLACEMENT" r1 c1 w40 h4 i12

    toggle "ON"         r+5 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_x
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_y
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_z
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rx / *clear_apply_dof rx"
    button "X ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rx"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rx
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof ry / *clear_apply_dof ry"
    button "Y ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value ry"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_ry
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rz / *clear_apply_dof rz"
    button "Z ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rz"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

  popup "POINT LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh42 \
      : "*apply_type point_load" {

    label "POINT LOAD" r1 c1 w40 h4 i12

    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X FORCE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x

    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y FORCE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y

    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof z / *clear_apply_dof z"
    button "Z FORCE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_z

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof mx / *clear_apply_dof mx"
    button "X MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value mx"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_mx

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof my / *clear_apply_dof my"
    button "Y MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value my"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_my

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof mz / *clear_apply_dof mz"
    button "Z MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value mz"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_mz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh26 \
      : "*apply_type edge_load" {

    label "EDGE LOAD" r1 c1 w40 h4 i12

    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U : "*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_p

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof su / *clear_apply_dof su"
    button "SHEAR"   r=  c+6  w14 h4 i13 U : "*apply_value su"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_su

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh30 \
      : "*apply_type face_load" {

    label "FACE LOAD" r1 c1 w40 h4 i12

    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U : "*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_p

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof su / *clear_apply_dof su"
    button "U SHEAR" r=  c+6  w14 h4 i13 U : "*apply_value su"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_su

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof sv / *clear_apply_dof sv"
    button "V SHEAR" r=  c+6  w14 h4 i13 U : "*apply_value sv"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_sv

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "GLOBAL LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh30 \
      : "*apply_type global_load" {

    label "GLOBAL LOAD" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X FORCE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y FORCE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof z / *clear_apply_dof z"
    button "Z FORCE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_z

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "GRAVITY LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh30 \
      : "*apply_type gravity_load" {

    label "GRAVITY LOAD" r1 c1 w40 h4 i12

    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_x
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_y
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_z

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "CENTRIFUGAL LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type centrifugal_load" {

    label "CENTRIFUGAL LOAD" r1 c1 w62 h4 i12

    toggle "ON"           r+5 c2   w6  h4 i13 \
         : "*apply_dof w / *clear_apply_dof w"
    button "ANG VEL (HZ)" r=  c+6  w14 h4 i13 U : "*apply_value w"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_w

    label "AXIS OF ROTATION" r+6 c2 w60 h4 i12

    button "X1"      r+4 c=   w12 h4 i13 U : "*apply_value x1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_x1

    button "Y1"      r+4 c-12 w12 h4 i13 U : "*apply_value y1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_y1

    button "Z1"      r+4 c-12 w12 h4 i13 U : "*apply_value z1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_z1

    button "X2"      r-8 c+18 w12 h4 i13 U : "*apply_value x2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_x2

    button "Y2"      r+4 c-12 w12 h4 i13 U : "*apply_value y2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_y2

    button "Z2"      r+4 c-12 w12 h4 i13 U : "*apply_value z2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_z2

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FOUNDATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type edge_foundation" {

    label "EDGE FOUNDATION" r1 c1 w40 h4 i12
 
    toggle "ON"        r+5 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FOUNDATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type face_foundation" {

    label "FACE FOUNDATION" r1 c1 w40 h4 i12

    toggle "ON"        r+5 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "NODAL TEMPERATURE" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type nodal_temperature" {

    label "NODAL TEMPERATURE" r1 c1 w40 h4 i12
 
    toggle "ON"          r+5 c2   w6  h4 i13 \
         : "*apply_dof t / *clear_apply_dof t"
    button "TEMPERATURE" r=  c+6  w14 h4 i13 U : "*apply_value t"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_t

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

  toggle "ID APPLYS" r+6 c1 w16 h4 i13 \
         : "*identify_applys *regen / *identify_none *regen"

  newscreen "TRANSFORMS" r67 c1 w16 h4 i10 : transformations

  label   "NODES" r+5 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_nodes
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_nodes
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_node_count

  label   "EDGES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_edges
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_edges
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_edge_count

  label   "FACES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_faces
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_faces
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_face_count

  label   "ELEMENTS" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_elements
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_element_count

  label   "POINTS" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_points
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_points
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_point_count

  label   "CURVES" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_curves
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_curves
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_curve_count

  label   "SURFACES" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_surfaces
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_surfaces
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_surface_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dmodal_apply "MECHANICAL BOUNDARY CONDITIONS" \
       r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r5  c1   w8  h4 i13 : *previous_apply
  string "%s"   r=  c+8  w16 h4 i11 : apply_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_apply
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_apply
  button "NAME" r=  c+8  w8  h4 i13 U : *apply_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_apply
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw70 dh76 : *edit_apply {

    label  "CURRENTLY DEFINED BOUNDARY CONDITIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : apply_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(apply)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(apply,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(apply,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : "*remove_popup"

  endpopup }

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h17 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_displacement
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_foundation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_foundation
 
  popup "FIXED DISPLACEMENT" r-8 c2 w27 h4 i10 dr14 dc36 dw40 dh42 \
      : "*apply_type fixed_displacement" {

    label "FIXED DISPLACEMENT" r1 c1 w40 h4 i12

    toggle "ON"         r+5 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_x
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_y
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_z
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rx / *clear_apply_dof rx"
    button "X ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rx"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rx
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof ry / *clear_apply_dof ry"
    button "Y ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value ry"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_ry
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rz / *clear_apply_dof rz"
    button "Z ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rz"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

  popup "EDGE FOUNDATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type edge_foundation" {

    label "EDGE FOUNDATION" r1 c1 w40 h4 i12
 
    toggle "ON"        r+5 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FOUNDATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type face_foundation" {

    label "FACE FOUNDATION" r1 c1 w40 h4 i12

    toggle "ON"        r+5 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  toggle "ID APPLYS" r+6 c1 w16 h4 i13 \
         : "*identify_applys *regen / *identify_none *regen"

  newscreen "TRANSFORMS" r67 c1 w16 h4 i10 : transformations

  label   "NODES" r+5 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_nodes
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_nodes
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_node_count

  label   "EDGES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_edges
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_edges
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_edge_count

  label   "FACES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_faces
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_faces
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_face_count

  label   "ELEMENTS" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_elements
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_element_count

  label   "POINTS" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_points
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_points
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_point_count

  label   "CURVES" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_curves
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_curves
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_curve_count

  label   "SURFACES" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_surfaces
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_surfaces
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_surface_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dheat_apply "THERMAL BOUNDARY CONDITIONS" \
       r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r5  c1   w8  h4 i13 : *previous_apply
  string "%s"   r=  c+8  w16 h4 i11 : apply_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_apply
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_apply
  button "NAME" r=  c+8  w8  h4 i13 U : *apply_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_apply
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw70 dh76 : *edit_apply {

    label  "CURRENTLY DEFINED BOUNDARY CONDITIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : apply_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : apply_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : apply_list_type_14

    button "top"  r5  c53 w8  h4 i13 U : "*pick_list_top(apply)" ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(apply,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(apply,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : "*remove_popup"

  endpopup }

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h33 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_temperature
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_volume_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_film
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_film

  popup "FIXED TEMPERATURE" r-24 c2 w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type fixed_temperature" {

    label "FIXED TEMPERATURE" r1 c1 w40 h4 i12

    toggle "ON"          r+5 c2   w6  h4 i13 \
         : "*apply_dof t / *clear_apply_dof t"
    button "TEMPERATURE" r=  c+6  w14 h4 i13 U : "*apply_value t"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_t

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type point_flux" {

    label "POINT FLUX" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type edge_flux" {

    label "EDGE FLUX" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type face_flux" {

    label "FACE FLUX" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*apply_type volume_flux" {

    label "VOLUME FLUX" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw50 dh26 \
      : "*apply_type edge_film" {

    label "EDGE FILM" r1 c1 w50 h4 i12
 
    toggle "ON"          r+5 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT" r=  c+6  w24 h4 i13 U : "*apply_value h"
    float  "%-14.6g"     r=  c+24 w18 h4 i11   :   apply_value_h
 
    button "TEMP @ INFINITY" r+4 c-24 w24 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"         r=  c+24 w18 h4 i11   :   apply_value_tinf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+36 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw50 dh26 \
      : "*apply_type face_film" {

    label "FACE FILM" r1 c1 w50 h4 i12

    toggle "ON"          r+5 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT" r=  c+6  w24 h4 i13 U : "*apply_value h"
    float  "%-14.6g"     r=  c+24 w18 h4 i11   :   apply_value_h
 
    button "TEMP @ INFINITY" r+4 c8   w24 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"         r=  c+24 w18 h4 i11   :   apply_value_tinf

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+36 w12 h10 i13   : *remove_popup

  endpopup }

  toggle "ID APPLYS" r+6 c1 w16 h4 i13 \
         : "*identify_applys *regen / *identify_none *regen"

  label   "NODES" r72 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_nodes
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_nodes
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_node_count

  label   "EDGES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_edges
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_edges
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_edge_count

  label   "FACES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_apply_faces
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_apply_faces
  integer "%-d"   r=  c+6  w8  h4 i11 : apply_face_count

  label   "ELEMENTS" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_elements
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_element_count

  label   "POINTS" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_points
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_points
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_point_count

  label   "CURVES" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_apply_curves
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_apply_curves
  integer "%-d"    r=  c+6  w8  h4 i11 : apply_curve_count

  label   "SURFACES" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_apply_surfaces
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_apply_surfaces
  integer "%-d"      r=  c+6  w8  h4 i11 : apply_surface_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ transformations "TRANSFORMATIONS" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_transform
  string "%s"   r=  c+8  w16 h4 i11   :  transform_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_transform
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_transform
  button "NAME" r=  c+8  w8  h4 i13 U : *transform_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_transform
  popup  "EDIT" r=  c+8  w8  h4 i10 \
                dr12 dc36 dw70 dh76   : *edit_transform {

    label  "CURRENTLY DEFINED TRANSFORMATIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4 w24 h4 i13 : tform_list_name_0
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_1
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_2
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_3
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_4
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_5
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_6
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_7
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_8
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_9
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_10
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_11
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_12
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_13
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(tform)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(tform,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(tform,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13   : "*remove_popup"

  endpopup }

  button "ALIGN"       r+5 c1   w16 h6 i13 : *align_transform
  button "CYLINDRICAL" r=  c+16 w16 h6 i13 : *transform_cylindrical
  button "ROTATE"      r+6 c-16 w16 h6 i13 : *transform_rotate

  label   "NODES" r+7 c1  w8  h4 i12
  button  "ADD"   r=  c+8 w6  h4 i13 : *add_transform_nodes
  button  "REM"   r=  c+6 w6  h4 i13 : *remove_transform_nodes
  integer "%-d"   r=  c+6 w12 h4 i11 :  transform_node_count

  button "UNTRANSFORM"   r+5 c1   w16 h6 i13 : *untransform_nodes
  button "REMOVE UNUSED" r=  c+16 w16 h6 i13 : *remove_unused_transforms
  button "RESET"         r+7 c-16 w16 h6 i13 : *transform_reset

#include select_std.m
#include standard.m
#include transform.m

endscreen }
