screen ~ links "LINKS" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_link
  string "%s"   r=  c+8  w16 h4 i11   : link_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_link
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_link
  button "NAME" r=  c+8  w8  h4 i13 U : *link_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_link
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw70 dh76 : *edit_link {

    label  "CURRENTLY DEFINED LINKS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : link_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : link_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : link_list_class_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(link)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(link,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(link,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13   :  *remove_popup

  endpopup }

  group {
    oneonly   "NODAL TIES"      r15 c1   w24 h4 i13 : "*link_class tie" \
            > link_class_tie
    newscreen "SET"             r=  c+24 w8  h4 i10 :   link_class_tie \
              ? link_class_set.hlp & link_class_tie
    oneonly   "SERVO LINK"      r+4 c-24 w24 h4 i13 : "*link_class servo" \
            > link_class_servo
    newscreen "SET"             r=  c+24 w8  h4 i10 :   link_class_servo \
              ? link_class_set.hlp & link_class_servo
    oneonly   "SPRING"          r+4 c-24 w24 h4 i13 : "*link_class spring" \
            > link_class_spring
    newscreen "SET"             r=  c+24 w8  h4 i10 :   link_class_spring \
              ? link_class_set.hlp & link_class_spring
  endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ link_class_tie "NODAL TIES" r1 c1 w32 h4 i12  H120 W128 {

  integer "%-d"  r6  c17  w16 h4 i11 :   tie_type
  popup   "TYPE" r=  c-16 w16 h4 i10 : *tie_type dr6 dc36 dw76 dh75 {

    label "TYING TYPES" r1 c1 w76 h75 i12

    buttstr "%4s" r+4 c+1 w8  h4 i13 : dtie_type_list_number_0
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_0
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_1
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_1
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_2
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_2
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_3
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_3
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_4
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_4
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_5
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_5
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_6
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_6
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_7
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_7
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_8
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_8
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_9
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_9
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_10
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_10
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_11
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_11
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_12
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_12
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_13
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_13
    buttstr "%4s" r+4 c-8 w8  h4 i13 : dtie_type_list_number_14
    string  "%s"  r=  c+8 w56 h4 i11 : dtie_type_list_label_14

    button "TOP"  r-56 c+58 w8  h4 i13 U : "*pick_list_top(dtie_type)"     ? top.hlp
    button "UP"   r+4  c=   w8  h4 i13 U : "*pick_list_prev(dtie_type,14)" ? up.hlp
    button "DOWN" r+52 c=   w8  h4 i13 U : "*pick_list_next(dtie_type,14)" ? down.hlp
    button "OK"   r+6  c33  w12 h8 i13   :  *remove_popup

  endpopup }

  button "TIED NODE" r11 c1   w16 h4 i13 U : "*tied_node"
  string "%s"        r=  c+16 w16 h4 i11 U :   link_node_0

  label "RETAINED NODES" r+5 c1 w32 h37 i12

  button "       1" r+4 c+1  w15 h4 i13 : "*retained_node 1"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_1
  button "       2" r+4 c-15 w15 h4 i13 : "*retained_node 2"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_2
  button "       3" r+4 c-15 w15 h4 i13 : "*retained_node 3"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_3
  button "       4" r+4 c-15 w15 h4 i13 : "*retained_node 4"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_4
  button "       5" r+4 c-15 w15 h4 i13 : "*retained_node 5"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_5
  button "       6" r+4 c-15 w15 h4 i13 : "*retained_node 6"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_6
  button "       7" r+4 c-15 w15 h4 i13 : "*retained_node 7"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_7
  button "       8" r+4 c-15 w15 h4 i13 : "*retained_node 8"
  string "%s"       r=  c+15 w15 h4 i11 :       link_node_8

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ link_class_servo "SERVO LINK" r1 c1 w32 h4 i12  H120 W128 {

  button  "TIED DOF"  r6  c1   w16 h4 i13 : "*tied_dof"
  integer "%-d"       r=  c+16 w16 h4 i11 :   link_dof_0
  button  "TIED NODE" r+4 c-16 w16 h4 i13 : "*tied_node"
  string  "%s"        r=  c+16 w16 h4 i11 :   link_node_0

  label "RETAINED DOFS, NODES, &\nCOEFFICIENTS" r+5 c1 w32 h74 i12

  string  "%s"    r+6 c+1 w22 h4 i11 :     retained_term_0
  buttstr "DOF"   r+4 c=  w8  h4 i13 : set_retained_dof_0 \
                                     ?     retained_dof.hlp
  integer "%-d"   r=  c+8 w14 h4 i11 :     retained_dof_0
  buttstr "NODE"  r+4 c-8 w8  h4 i13 : set_retained_node_0 \
                                     ?     retained_node.hlp
  string  "%s"    r=  c+8 w14 h4 i11 :     retained_node_0
  buttstr "COEF"  r+4 c-8 w8  h4 i13 : set_retained_coef_0 \
                                     ?     link_value.hlp
  float   "%-10g" r=  c+8 w14 h4 i11 :     retained_coef_0

  string  "%s"    r+5 c-8 w22 h4 i11 :     retained_term_1
  buttstr "DOF"   r+4 c=  w8  h4 i13 : set_retained_dof_1 \
                                     ?     retained_dof.hlp
  integer "%-d"   r=  c+8 w14 h4 i11 :     retained_dof_1
  buttstr "NODE"  r+4 c-8 w8  h4 i13 : set_retained_node_1 \
                                     ?     retained_node.hlp
  string  "%s"    r=  c+8 w14 h4 i11 :     retained_node_1
  buttstr "COEF"  r+4 c-8 w8  h4 i13 : set_retained_coef_1 \
                                     ?     link_value.hlp
  float   "%-10g" r=  c+8 w14 h4 i11 :     retained_coef_1

  string  "%s"    r+5 c-8 w22 h4 i11 :     retained_term_2
  buttstr "DOF"   r+4 c=  w8  h4 i13 : set_retained_dof_2 \
                                     ?     retained_dof.hlp
  integer "%-d"   r=  c+8 w14 h4 i11 :     retained_dof_2
  buttstr "NODE"  r+4 c-8 w8  h4 i13 : set_retained_node_2 \
                                     ?     retained_node.hlp
  string  "%s"    r=  c+8 w14 h4 i11 :     retained_node_2
  buttstr "COEF"  r+4 c-8 w8  h4 i13 : set_retained_coef_2 \
                                     ?     link_value.hlp
  float   "%-10g" r=  c+8 w14 h4 i11 :     retained_coef_2

  string  "%s"    r+5 c-8 w22 h4 i11 :     retained_term_3
  buttstr "DOF"   r+4 c=  w8  h4 i13 : set_retained_dof_3 \
                                     ?     retained_dof.hlp
  integer "%-d"   r=  c+8 w14 h4 i11 :     retained_dof_3
  buttstr "NODE"  r+4 c-8 w8  h4 i13 : set_retained_node_3 \
                                     ?     retained_node.hlp
  string  "%s"    r=  c+8 w14 h4 i11 :     retained_node_3
  buttstr "COEF"  r+4 c-8 w8  h4 i13 : set_retained_coef_3 \
                                     ?     link_value.hlp
  float   "%-10g" r=  c+8 w14 h4 i11 :     retained_coef_3

  button "TOP"  r-63 c+15 w7  h4 i13 U : "*pick_list_top(retained_term)"  ? top.hlp
  button "UP"   r+4  c=   w7  h4 i13 U : "*pick_list_prev(retained_term,4)" ? up.hlp
  button "DOWN" r+59 c=   w7  h4 i13 U : "*pick_list_next(retained_term,4)" ? down.hlp

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ link_class_spring "SPRING / DASHPOT" r1 c1 w32 h4 i12  H120 W128 {

  button "STIFFNESS"    r6  c1   w16 h4 i13 : "*link_value stiffness"
  float  "%-12g"        r=  c+16 w16 h4 i11 :   link_value_stiffness

  button  "NODE 1" r+5 c1   w16 h4 i13 : "*spring_node 0"
  string  "%s"     r=  c+16 w16 h4 i11 :     link_node_0
  button  "DOF  1" r+4 c-16 w16 h4 i13 : "*spring_dof 0"
  integer "%-d"    r=  c+16 w16 h4 i11 :     link_dof_0

  button  "NODE 2" r+5 c1   w16 h4 i13 : "*spring_node 1"
  string  "%s"     r=  c+16 w16 h4 i11 :     link_node_1
  button  "DOF  2" r+4 c-16 w16 h4 i13 : "*spring_dof 1"
  integer "%-d"    r=  c+16 w16 h4 i11 :     link_dof_1

#include select_std.m
#include standard.m
#include transform.m

endscreen }
