screen ~ dstress_lcase "STATIC STRESS LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "BOUNDARY CONDITIONS" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_static

  popup "MECHANICAL" r= c-27 w27 h4 i10 dr9 dc42 dw62 dh86 \
      : "*loadcase_type static" ? lcase_loads.hlp {

#include sel_loads1.m

  endpopup }

#include loadcase_sub.m
#include transform.m
#include standard.m

endscreen }

screen ~ dmodal_lcase "MODAL EXTRACTION LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "BOUNDARY CONDITIONS" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_dynamic_modal

  popup "MECHANICAL" r= c-27 w27 h4 i10 dr9 dc42 dw62 dh86 \
      : "*loadcase_type dynamic_modal" ? lcase_loads.hlp {

#include sel_loads1.m

  endpopup }

#include loadcase_sub.m
#include transform.m
#include standard.m

endscreen }

screen ~ dbuckle_lcase "BUCKLING LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "BOUNDARY CONDITIONS" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_buckle

  popup "MECHANICAL" r= c-27 w27 h4 i10 dr9 dc42 dw62 dh86 \
      : "*loadcase_type buckle" ? lcase_loads.hlp {

#include sel_loads1.m

  endpopup }

#include loadcase_sub.m
#include transform.m
#include standard.m

endscreen }

screen ~ dheat_lcase "HEAT TRANSFER LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "BOUNDARY CONDITIONS" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_steady_state

  popup "THERMAL" r= c-27 w27 h4 i10 dr9 dc42 dw62 dh86 \
      : "*loadcase_type steady_state" ? lcase_loads.hlp {

#include sel_loads1.m

  endpopup }

#include loadcase_sub.m
#include transform.m
#include standard.m

endscreen }
