  label "CONTACT CONTROL" r1 c1 w100 h4 i12

  label  "USER SUBROUTINES" r+5 c2   w24 h4 i12
  toggle "MOTION"           r=  c+24 w12 h4 i13 \
       : "*job_option motion:on / *job_option motion:off"    
  toggle "SEPFOR"           r=  c+12 w12 h4 i13 \
       : "*job_option sepfor:on / *job_option sepfor:off"    
  toggle "UCONTACT"         r=  c+12 w12 h4 i13 \
       : "*job_option ucontact:on / *job_option ucontact:off"    
  toggle "UFRIC"            r=  c+12 w12 h4 i13 \
       : "*job_option ufric:on / *job_option ufric:off"    
  toggle "UHTCOE"           r=  c+12 w12 h4 i13 \
       : "*job_option uhtcoe:on / *job_option uhtcoe:off"    
  toggle "UHTCON"           r=  c+12 w12 h4 i13 \
       : "*job_option uhtcon:on / *job_option uhtcon:off"    

  label "CONTACT" r12 c2 w48 h4 i12

  button "DISTANCE TOLERANCE"      r+4 c=   w32 h4 i13 :"*job_param disttol"
  float  "%-14.6g"                 r=  c+32 w16 h4 i11 :  job_param_disttol
  button "DISTANCE TOLERANCE BIAS" r+4 c-32 w32 h4 i13 :"*job_param disttolbias"
  float  "%-14.6g"                 r=  c+32 w16 h4 i11 :  job_param_disttolbias
  label "INCREMENT SPLITTING"      r+4 c-32 w48 h4 i12
  group {
    oneonly "ALLOWED"    r+4 c=   w24 h4 i13 : "*job_option split:allowed"
    oneonly "SUPPRESSED" r=  c+24 w24 h4 i13 : "*job_option split:suppressed"
  endgroup }
  label "DEFORMABLE-DEFORMABLE" r+4 c-24 w48 h4 i12
  group {
    oneonly "DOUBLE-SIDED" r+4 c=   w24 h4 i13 : "*job_option style:double"
    oneonly "SINGLE-SIDED" r=  c+24 w24 h4 i13 : "*job_option style:single"
  endgroup }
  toggle "INTERFERENCE CHECK"     r+4 c-24 w48 h4 i13 \
       : "*job_option interference:on / *job_option interference:off"
  toggle "IGNORE SHELL THICKNESS" r+4 c=   w48 h4 i13 \
       : "*job_option ignore:on / *job_option ignore:off"

  label   "SEPARATION"               r12 c52  w48 h4 i12
  button  "SEPARATION FORCE"         r+4 c=   w32 h4 i13 : "*job_param sepforce"
  float   "%-14.6g"                  r=  c+32 w16 h4 i11 :   job_param_sepforce
  button  "MAX # SEPARATIONS / INC." r+4 c-32 w32 h4 i13 : "*job_param maxsep"
  integer "%-d"                      r=  c+32 w16 h4 i11 :   job_param_maxsep
  label "SEPARATION INCREMENT"       r+4 c-32 w48 h4 i12
  group {
    oneonly "CURRENT" r+4 c=   w24 h4 i13 : "*job_option sepinc:current"
    oneonly "NEXT"    r=  c+24 w24 h4 i13 : "*job_option sepinc:next"
  endgroup }
  label "CHATTERING" r+4 c-24 w48 h4 i12
  group {
    oneonly "ALLOWED"    r+4 c=   w24 h4 i13 : "*job_option chatter:allowed"
    oneonly "SUPPRESSED" r=  c+24 w24 h4 i13 : "*job_option chatter:suppressed"
  endgroup }

  label "FRICTION" r+8 c52 w48 h4 i12
  label "TYPE"     r+4 c=  w24 h4 i12
  group {
    oneonly "NONE"                r=  c+24 w24 h4 i13 \
          : "*job_option frictype:none"
    oneonly "SHEAR"               r+4 c-24 w24 h4 i13 \
          : "*job_option frictype:shear"
    oneonly "COULOMB"             r=  c+24 w24 h4 i13 \
          : "*job_option frictype:coulomb"
    oneonly "SHEAR FOR ROLLING"   r+4 c-24 w24 h4 i13 \
          : "*job_option frictype:shear_roll"
    oneonly "COULOMB FOR ROLLING" r=  c+24 w24 h4 i13 \
          : "*job_option frictype:coulomb_roll"
  endgroup }

  label "METHOD" r+4 c-24 w48 h4 i12
  group {
    oneonly "NODAL STRESS" r+4 c=   w24 h4 i13 : "*job_option fricmeth:nstress"
    oneonly "NODAL FORCE"  r=  c+24 w24 h4 i13 : "*job_option fricmeth:nforce"
  endgroup }

  button "RELATIVE SLIDING VELOCITY" r+4 c-24 w32 h4 i13 : "*job_param vsliding"
  float  "%-14.6g"                   r=  c+32 w16 h4 i11 :   job_param_vsliding

  label "INITIAL CONTACT" r52 c2 w48 h4 i12

  popup "CONTACT TABLE" r+4 c= w24 h4 i10 dr15 dc48 dw48 dh75 \
      : "*job_contact_table" {
  
    label  "CURRENTLY DEFINED CONTACT TABLES" r1 c1 w48 h75 i12
  
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_0
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_1
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_2
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_3
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_4
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_5
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_6
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_7
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_8
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_9
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_10
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_11
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_12
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_13
    buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_14
  
    button "TOP"  r-56 c+38 w8 h4 i13 U : "*pick_list_top(ctable)"  ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(ctable,7)" ? up.hlp
    button "DOWN" r+52 c=   w8 h4 i13 U : "*pick_list_next(ctable,7)" ? down.hlp

    button "CLEAR" r+6 c2   w12 h8 i13 : "*clear_job_ctable"
    button "OK"    r=  c+34 w12 h8 i13 :  *remove_popup

  endpopup }

  string "%s" r= c+24 w24 h4 i11 : job_contact_table

  popup "CONTACT AREAS" r+4 c-24 w24 h4 i10 dr15 dc48 dw48 dh66 {
  
    label  "CONTACT AREAS" r1 c1 w48 h4 i12

    button "SELECT"   r+5 c2   w12 h4  i13   : *add_job_careas
    button "DESELECT" r=  c+12 w12 h4  i13   : *remove_job_careas
    button "CLEAR"    r=  c+12 w12 h4  i13 U : *clear_job_careas

    label "CONTACT AREAS" r+6 c2   w24 h4 i12
    label "STATUS"        r=  c+24 w12 h4 i12

    buttstr "%s" r+4 c2   w24 h4 i13 :     carea_list_name_0
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_0
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_1
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_1
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_2
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_2
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_3
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_3
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_4
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_4
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_5
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_5
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_6
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_6
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_7
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_7
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_8
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_8
    buttstr "%s" r+4 c-24 w24 h4 i13 :     carea_list_name_9
    string  "%s" r=  c+24 w12 h4 i9  : job_carea_list_status_9

    button "TOP"  r-36 c+14 w8 h4 i13 U : "*pick_list_top(carea)"  ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(carea,5)" ? up.hlp
    button "DOWN" r+32 c=   w8 h4 i13 U : "*pick_list_next(carea,5)" ? down.hlp

    button "OK" r+6 c18 w12 h8 i13 : *remove_popup

  endpopup }

button "OK" r74 c44 w12 h8 i13 : *remove_popup
