label "CONTACT" r1 c1 w50 h4 i12

popup "CONTACT TABLE" r+5 c2 w24 h4 i10 dr15 dc48 dw48 dh75 \
    : "*loadcase_ctable" {

  label  "CURRENTLY DEFINED CONTACT TABLES" r1 c1 w48 h75 i12

  buttstr "%s" r+4 c2 w36 h4 i13 : ctable_list_name_0
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_1
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_2
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_3
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_4
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_5
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_6
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_7
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_8
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_9
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_10
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_11
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_12
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_13
  buttstr "%s" r+4 c= w36 h4 i13 : ctable_list_name_14

  button "TOP"  r-56 c+38 w8  h4 i13 U : "*pick_list_top(ctable)"  ? top.hlp
  button "UP"   r+4  c=   w8  h4 i13 U : "*pick_list_prev(ctable,7)" ? up.hlp
  button "DOWN" r+52 c=   w8  h4 i13 U : "*pick_list_next(ctable,7)" ? down.hlp

  button "CLEAR" r+6 c2  w12 h8 i13 : *clear_loadcase_ctable
  button "OK"    r=  c36 w12 h8 i13 : *remove_popup
endpopup }

string "%s" r= c+24 w24 h4 i11 : loadcase_ctable

popup "CONTACT AREAS" r+4 c2 w24 h4 i10 dr15 dc48 dw48 dh66 {

  label  "CONTACT AREAS" r1 c1 w48 h4 i12

  button "SELECT"   r+5 c2   w12 h4  i13   : *add_loadcase_careas
  button "DESELECT" r=  c+12 w12 h4  i13   : *remove_loadcase_careas
  button "CLEAR"    r=  c+12 w12 h4  i13 U : *clear_loadcase_careas

  label "CONTACT AREAS" r+6 c2   w24 h4 i12
  label "STATUS"        r=  c+24 w12 h4 i12

  buttstr "%s" r+4 c2   w24 h4 i13 :       carea_list_name_0
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_0
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_1
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_1
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_2
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_2
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_3
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_3
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_4
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_4
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_5
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_5
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_6
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_6
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_7
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_7
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_8
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_8
  buttstr "%s" r+4 c-24 w24 h4 i13 :       carea_list_name_9
  string  "%s" r=  c+24 w12 h4 i9  : lcase_carea_list_status_9

  button "TOP"  r-36 c+14 w8 h4 i13 U : "*pick_list_top(carea)"  ? top.hlp
  button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(carea,5)" ? up.hlp
  button "DOWN" r+32 c=   w8 h4 i13 U : "*pick_list_next(carea,5)" ? down.hlp

  button "OK" r+6 c18 w12 h8 i13 : *remove_popup

endpopup }

popup "CONTACT RELEASES" r= c+24 w24 h4 i10 dr15 dc48 dw48 dh76 {

  label  "CONTACT BODY RELEASES" r1 c1 w48 h4 i12

  label "FORCE REMOVAL" r+5 c2 w32 h4 i12
  group {
   oneonly "IMMEDIATE" r+4 c2  w16 h4 i13 \
         : "*loadcase_option contact_release:immediate"
   oneonly "GRADUAL"   r=  c+16 w16 h4 i13 \
         : "*loadcase_option contact_release:gradual"
  endgroup }

  button "SELECT"   r+6 c2   w12 h4  i13   : *add_loadcase_cbodies
  button "DESELECT" r=  c+12 w12 h4  i13   : *remove_loadcase_cbodies
  button "CLEAR"    r=  c+12 w12 h4  i13 U : *clear_loadcase_cbodies

  label "CONTACT BODIES" r+6 c2   w24 h4 i12
  label "STATUS"         r=  c+24 w12 h4 i12

  buttstr "%s" r+4 c2   w24 h4 i13 :       cbody_list_name_0
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_0
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_1
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_1
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_2
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_2
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_3
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_3
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_4
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_4
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_5
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_5
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_6
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_6
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_7
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_7
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_8
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_8
  buttstr "%s" r+4 c-24 w24 h4 i13 :       cbody_list_name_9
  string  "%s" r=  c+24 w12 h4 i9  : lcase_cbody_list_status_9

  button "TOP"  r-36 c+14 w8 h4 i13 U : "*pick_list_top(cbody)"  ? top.hlp
  button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(cbody,5)" ? up.hlp
  button "DOWN" r+32 c=   w8 h4 i13 U : "*pick_list_next(cbody,5)" ? down.hlp

  button "OK" r+6 c18 w12 h8 i13 : *remove_popup

endpopup }

button "OK" r+6 c19 w12 h8 i13 : *remove_popup
