# dw90 dh94

label "ORTHOTROPIC VISCOELASTIC PROPERTIES" r1 c1 w122 h4 i12

button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value ortho_visco:nterm"
integer "%-d"     r=  c+12 w14 h4 i11 :   material_value_ortho_visco:nterm

label "TIME" r+6 c2 w22 h4 i12

button " 1"      r+4 c2  w4  h4 i13 : "*material_value ortho_visco:time1"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time1
button " 2"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time2"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time2
button " 3"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time3"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time3
button " 4"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time4"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time4
button " 5"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time5"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time5
button " 6"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time6"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time6
button " 7"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time7"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time7
button " 8"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time8"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time8
button " 9"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time9"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time9
button "10"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time10"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time10
button "11"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time11"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time11
button "12"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time12"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time12
button "13"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time13"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time13
button "14"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time14"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time14
button "15"      r+4 c-4 w4  h4 i13 : "*material_value ortho_visco:time15"
float  "%-14.6g" r=  c+4 w18 h4 i11 :   material_value_ortho_visco:time15

popup "YOUNG'S MODULI" r12 c24 w22 h4 i10 dr20 dc62 dw66 dh75 {

  label "E11" r1 c1 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus111"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus111
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus112"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus112
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus113"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus113
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus114"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus114
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus115"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus115
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus116"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus116
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus117"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus117
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus118"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus118
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus119"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus119
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1110"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1110
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1111"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1111
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1112"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1112
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1113"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1113
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1114"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1114
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus1115"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus1115

  label "E22" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus221"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus221
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus222"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus222
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus223"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus223
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus224"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus224
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus225"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus225
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus226"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus226
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus227"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus227
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus228"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus228
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus229"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus229
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2210"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2210
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2211"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2211
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2212"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2212
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2213"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2213
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2214"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2214
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus2215"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus2215

  label "E33" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus331"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus331
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus332"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus332
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus333"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus333
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus334"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus334
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus335"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus335
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus336"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus336
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus337"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus337
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus338"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus338
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus339"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus339
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3310"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3310
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3311"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3311
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3312"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3312
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3313"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3313
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3314"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3314
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:youngs_modulus3315"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:youngs_modulus3315

  button "OK" r+6 c28 w12 h8 i13 : *remove_popup

endpopup }

popup "POISSONS'S RATIOS" r12 c46 w22 h4 i10 dr20 dc62 dw66 dh75 {

  label "NU12" r1 c1 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio121"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio121
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio122"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio122
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio123"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio123
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio124"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio124
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio125"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio125
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio126"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio126
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio127"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio127
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio128"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio128
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio129"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio129
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1210"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1210
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1211"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1211
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1212"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1212
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1213"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1213
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1214"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1214
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio1215"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio1215

  label "NU23" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio231"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio231
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio232"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio232
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio233"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio233
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio234"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio234
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio235"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio235
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio236"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio236
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio237"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio237
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio238"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio238
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio239"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio239
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2310"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2310
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2311"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2311
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2312"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2312
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2313"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2313
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2314"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2314
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio2315"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio2315

  label "NU31" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio311"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio311
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio312"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio312
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio313"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio313
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio314"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio314
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio315"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio315
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio316"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio316
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio317"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio317
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio318"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio318
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio319"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio319
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3110"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3110
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3111"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3111
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3112"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3112
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3113"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3113
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3114"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3114
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:poissons_ratio3115"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:poissons_ratio3115

  button "OK" r+6 c28 w12 h8 i13 : *remove_popup

endpopup }

popup "SHEAR MODULI" r12 c68 w22 h4 i10 dr20 dc62 dw66 dh75 {

  label "G12" r1 c1 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus121"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus121
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus122"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus122
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus123"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus123
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus124"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus124
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus125"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus125
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus126"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus126
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus127"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus127
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus128"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus128
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus129"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus129
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1210"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1210
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1211"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1211
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1212"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1212
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1213"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1213
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1214"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1214
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus1215"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus1215

  label "G23" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus231"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus231
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus232"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus232
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus233"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus233
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus234"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus234
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus235"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus235
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus236"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus236
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus237"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus237
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus238"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus238
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus239"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus239
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2310"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2310
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2311"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2311
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2312"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2312
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2313"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2313
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2314"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2314
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus2315"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus2315

  label "G31" r-60 c+18 w22 h4 i12

  button " 1"      r+4 c=  w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus311"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus311
  button " 2"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus312"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus312
  button " 3"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus313"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus313
  button " 4"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus314"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus314
  button " 5"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus315"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus315
  button " 6"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus316"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus316
  button " 7"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus317"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus317
  button " 8"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus318"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus318
  button " 9"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus319"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus319
  button "10"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3110"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3110
  button "11"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3111"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3111
  button "12"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3112"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3112
  button "13"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3113"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3113
  button "14"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3114"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3114
  button "15"      r+4 c-4 w4  h4 i13 \
         : "*material_value ortho_visco:shear_modulus3115"
  float  "%-14.6g" r=  c+4 w18 h4 i11 \
         :   material_value_ortho_visco:shear_modulus3115

  button "OK" r+6 c28 w12 h8 i13 : *remove_popup

endpopup }

string "%s" r78 c32 w3 h4 i9 : material_type_thermo_rheologic

popup "THERMO-RHEOLOGICALLY SIMPLE" r78 c2 w30 h4 i10 \
      : "*material_type thermo_rheologic" \
                                     dr12 dc48 dw62 dh82 {

##include thermo_rheo.m

  label "THERMO-RHEOLOGICALLY SIMPLE PROPERTIES" r1 c1 w62 h4 i12

  label "SHIFT FUNCTION TYPE" r+5 c2 w20 h4 i12
  group {
    oneonly "WLF"              r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:wlf"
    oneonly "POWER SERIES"     r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:series"
    oneonly "USER SUB. TRSFAC" r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:usersub"
  endgroup }

  button "REF. TEMPERATURE" r+6 c2   w18 h4 i13 \
       : "*material_value thermo_rheologic:ref_temp"
  float  "%-14.6g"          r=  c+18 w18 h4 i11 \
       :   material_value_thermo_rheologic:ref_temp

  label "WILLIAMS-LANDEL-FERRY" r+6 c2 w36 h4 i12

  button "C1"               r+4 c2   w18 h4 i13 \
       : "*material_value thermo_rheologic:wlf_c1"
  float  "%-14.6g"          r=  c+18 w18 h4 i11 \
       :   material_value_thermo_rheologic:wlf_c1
  button "C2"               r+4 c2   w18 h4 i13 \
       : "*material_value thermo_rheologic:wlf_c2"
  float  "%-14.6g"          r=  c+18 w18 h4 i11 \
       :   material_value_thermo_rheologic:wlf_c2

  label "POWER SERIES" r+6 c2 w36 h4 i12

  button  "C0"               r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:series_c0"
  float  "%-14.6g"          r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c0
  button  "# TERMS"          r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:nterm"
  integer "%-d"              r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:nterm

  label "POWER SERIES Ci" r6 c+20 w22 h4 i12

  button " 1"          r+4 c=   w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c1"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c1
  button " 2"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c2"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c2
  button " 3"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c3"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c3
  button " 4"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c4"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c4
  button " 5"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c5"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c5
  button " 6"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c6"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c6
  button " 7"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c7"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c7
  button " 8"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c8"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c8
  button " 9"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c9"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c9
  button "10"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c10"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c10
  button "11"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c11"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c11
  button "12"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c12"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c12
  button "13"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c13"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c13
  button "14"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c14"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c14
  button "15"          r+4 c-4  w4  h4 i13 \
       : "*material_value thermo_rheologic:series_c15"
  float  "%-14.6g"     r=  c+4  w18 h4 i11 \
       :   material_value_thermo_rheologic:series_c15

  button "RESET"  r72 c2   w12 h10 i13 \
       : "*material_reset thermo_rheologic"
  button "REMOVE" r=  c>24 w12 h10 i13 \
       : "*remove_popup *material_remove_type thermo_rheologic"
  button "OK"     r=  c+48 w12 h10 i13 :  *remove_popup

endpopup }

button "RESET"  r84 c2   w12 h10 i13 \
       : "*material_reset rate:ortho_visco"
button "REMOVE" r=  c>38 w12 h10 i13 \
       : "*remove_popup *material_remove_type rate:ortho_visco"
button "OK"     r=  c+76 w12 h10 i13 :  *remove_popup
