# dw40 dh60

label "PHI COEFFICIENTS" r1 c1 w40 h4 i12

label "METHOD" r+5 c2 w20 h4 i12
group {
  oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 \
          : "*material_option phi:method:default"
  oneonly "USER SUB. UPHI" r+4 c= w20 h4 i13 \
          : "*material_option phi:method:usersub"
endgroup }

popup "PHI0" r+6 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI0 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm0"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm0

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency0_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency0_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real0_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real0_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary0_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary0_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI1" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI1 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm1"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm1

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency1_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency1_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real1_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real1_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary1_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary1_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI2" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI2 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm2"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm2

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency2_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency2_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real2_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real2_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary2_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary2_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI11" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI11 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm11"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm11

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency11_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency11_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real11_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real11_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary11_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary11_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI12" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI12 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm12"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm12

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency12_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency12_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real12_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real12_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary12_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary12_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI21" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI21 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm21"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm21

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency21_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency21_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real21_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real21_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary21_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary21_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

popup "PHI22" r+4 c2 w38 h4 i10 dr12 dc48 dw62 dh86 {

  label "PHI22 COEFFICIENTS" r1 c1 w62 h4 i12

  button  "# TERMS" r+5 c2   w12 h4 i13 : "*material_value phi:nterm22"
  integer "%-d"     r=  c+12 w12 h4 i11 :   material_value_phi:nterm22

  label "FREQUENCY" r+6 c2   w20 h4 i12
  label "REAL"      r=  c+20 w20 h4 i12
  label "IMAGINARY" r=  c+20 w20 h4 i12

  button " 1"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_1
  button " 1"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_1"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_1
  button " 2"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_2
  button " 2"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_2"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_2
  button " 3"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_3
  button " 3"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_3"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_3
  button " 4"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_4
  button " 4"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_4"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_4
  button " 5"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_5
  button " 5"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_5"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_5
  button " 6"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_6
  button " 6"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_6"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_6
  button " 7"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_7
  button " 7"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_7"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_7
  button " 8"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_8
  button " 8"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_8"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_8
  button " 9"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_9
  button " 9"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_9"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_9
  button "10"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_10
  button "10"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_10"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_10
  button "11"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_11
  button "11"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_11"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_11
  button "12"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_12
  button "12"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_12"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_12
  button "13"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_13
  button "13"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_13"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_13
  button "14"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_14
  button "14"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_14"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_14
  button "15"      r+4 c2   w4  h4 i13 : "*material_value phi:frequency22_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:frequency22_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:real22_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:real22_15
  button "15"      r=  c+16 w4  h4 i13 : "*material_value phi:imaginary22_15"
  float  "%-14.6g" r=  c+4  w16 h4 i11 :   material_value_phi:imaginary22_15

  button "OK" r+6 c25 w12 h8 i13 : *remove_popup

endpopup }

button "RESET"  r+6 c2   w12 h10 i13 \
       : "*material_reset rate:phi"
button "REMOVE" r=  c>13 w12 h10 i13 \
       : "*remove_popup *material_remove_type rate:phi"
button "OK"     r=  c+26 w12 h10 i13 :  *remove_popup
