# bsect.m

screen ~ section "BEAM SECTIONS" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_section
  string "%s"   r=  c+8  w16 h4 i11   :  section_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_section
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_section
  button "NAME" r=  c+8  w8  h4 i13 U : *section_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_section
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw45 dh76 : *edit_section {

    label  "CURRENTLY DEFINED BEAM SECTIONS" r1 c1 w45 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : section_list_name_0
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_1
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_2
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_3
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_4
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_5
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_6
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_7
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_8
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_9
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_10
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_11
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_12
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_13
    buttstr "%s" r+4 c=  w24 h4 i13 : section_list_name_14

    button "TOP"  r-56 c+26 w8  h4 i13 U : "*pick_list_top(section)"  ? top.hlp
    button "UP"   r+4  c=   w8  h4 i13 U : "*pick_list_prev(section,7)" ? up.hlp
    button "DOWN" r61  c=   w8  h4 i13 U : "*pick_list_next(section,7)" ? down.hlp
    button "OK"   r+6  c=   w16 h8 i13 : "*remove_popup"

  endpopup }

  button "REMOVE UNUSED" r=  c+16 w16 h4 i13 : *remove_unused_sections
  button "RESET"         r+4 c-16 w16 h4 i13 : *section_reset

#include select_std.m
#include standard.m
#include transform.m

endscreen }
