# dw80 dh116

label "CONVERGENCE TESTING" r1 c1 w80 h4 i12

group {
  oneonly "RELATIVE"          r+5 c2   w26 h4 i13 \
        : "*loadcase_option error:relative"
  oneonly "ABSOLUTE"          r=  c+26 w26 h4 i13 \
        : "*loadcase_option error:absolute"
  oneonly "RELATIVE/ABSOLUTE" r=  c+26 w26 h4 i13 \
        : "*loadcase_option error:relabs"
endgroup }

label "CRITERIA" r+6 c2 w78 h4 i12
group {
 oneonly "RESIDUAL FORCE"          r+4 c=   w26 h4 i13 \
       : "*loadcase_option converge:force_only"
 oneonly "DISPLACEMENT"            r=  c+26 w26 h4 i13 \
       : "*loadcase_option converge:disp_only"
 oneonly "STRAIN ENERGY"           r=  c+26 w26 h4 i13 \
       : "*loadcase_option converge:strain"
 oneonly "RESIDUAL FORCE & MOMENT" r+4 c-52 w26 h4 i13 \
       : "*loadcase_option converge:residuals"
 oneonly "DISPLACEMENT & ROTATION" r=  c+26 w26 h4 i13 \
       : "*loadcase_option converge:displacements"
endgroup }

label "RESIDUAL FORCES" r+6 c2 w78 h4 i12

button "RELATIVE FORCE TOLERANCE" \
        r+4  c=   w60 h4 i13 : "*loadcase_value force"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_force
button "MINIMUM FORCE REACTION CUTOFF" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value minforce"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_minforce
button "MAXIMUM ABSOLUTE RESIDUAL FORCE" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value maxforce"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_maxforce

label "RESIDUAL MOMENTS" r+6 c2 w78 h4 i12

button "RELATIVE MOMENT TOLERANCE" \
        r+4  c=   w60 h4 i13 : "*loadcase_value moment"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_moment
button "MINIMUM MOMENT REACTION CUTOFF" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value minmoment"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_minmoment
button "MAXIMUM ABSOLUTE RESIDUAL MOMENT" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value maxmoment"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_maxmoment

label "DISPLACEMENTS" r+6 c2 w78 h4 i12

button "RELATIVE DISPLACEMENT TOLERANCE" \
        r+4  c=   w60 h4 i13 : "*loadcase_value displacement"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_displacement
button "MINIMUM DISPLACEMENT CUTOFF" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value mindisp"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_mindisp
button "MAXIMUM ABSOLUTE DISPLACEMENT" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value maxdisp"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_maxdisp

label "ROTATIONS" r+6 c2 w78 h4 i12

button "RELATIVE ROTATION TOLERANCE" \
        r+4  c=   w60 h4 i13 : "*loadcase_value rotation"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_rotation
button "MINIMUM ROTATION CUTOFF" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value minrotation"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_minrotation
button "MAXIMUM ABSOLUTE ROTATION" \
        r+4  c-60 w60 h4 i13 : "*loadcase_value maxrotation"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_maxrotation

label "STRAIN ENERGY" r+6 c2 w78 h4 i12

button "RELATIVE ENERGY TOLERANCE" \
        r+4  c=   w60 h4 i13 : "*loadcase_value strain"
float  "%-14.6g" \
        r=   c+60 w18 h4 i11 :   loadcase_value_strain

button "OK" r+6 c36 w12 h8 i13 : *remove_popup
