# dw54 dh102

label "CREEP PROPERTIES" r1 c1 w54 h4 i12

label "METHOD" r+5 c2 w20 h4 i12
group {
  oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 \
          : "*material_option creep:method:default"
  oneonly "USER SUB. CRPLAW" r+4 c= w20 h4 i13 \
          : "*material_option creep:method:usersub"
endgroup }

button "COEFFICIENT" r+6 c2   w16 h4 i13 : "*material_value creep:coefficient"
float  "%-14.6g"     r=  c+16 w18 h4 i11 :   material_value_creep:coefficient

label "STRESS DEPENDENCE" r+6 c2 w52 h4 i12
group {
  oneonly "POWER LAW"        r+4 c2 w20 h4 i13 \
          : "*material_option creep:stress:power"
  oneonly "PIECEWISE-LINEAR" r+4 c= w20 h4 i13 \
          : "*material_option creep:stress:series"
endgroup }
button "EXPONENT" r-4 c+20 w14 h4 i13 U : "*material_value creep:stress_exp"
float  "%-14.6g"  r=  c+14 w18 h4 i11 :   material_value_creep:stress_exp
popup  "TABLE"    r+4 c-14 w14 h4 i13 \
       : "*material_table creep:stress_exp0" \
              dr15 dc36 dw84 dh75 {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table creep:stress_exp0"
endpopup }
string "%s" r34 c36 w18 h4 i11 : material_table_creep:stress_exp0

label "CREEP STRAIN DEPENDENCE" r+6 c2 w52 h4 i12
group {
  oneonly "POWER LAW"        r+4 c2 w20 h4 i13 \
          : "*material_option creep:strain:power"
  oneonly "PIECEWISE-LINEAR" r+4 c= w20 h4 i13 \
          : "*material_option creep:strain:series"
endgroup }
button "EXPONENT" r-4 c+20 w14 h4 i13 U : "*material_value creep:strain_exp"
float  "%-14.6g"  r=  c+14 w18 h4 i11 :   material_value_creep:strain_exp
popup  "TABLE"    r+4 c-14 w14 h4 i13 \
       : "*material_table creep:strain_exp0" \
              dr15 dc36 dw84 dh75 {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table creep:strain_exp0"
endpopup }
string "%s" r48 c36 w18 h4 i11 : material_table_creep:strain_exp0

label "TEMPERATURE DEPENDENCE" r+6 c2 w52 h4 i12
group {
  oneonly "POWER LAW"        r+4 c2 w20 h4 i13 \
          : "*material_option creep:temperature:power"
  oneonly "PIECEWISE-LINEAR" r+4 c= w20 h4 i13 \
          : "*material_option creep:temperature:series"
endgroup }
button "EXPONENT" r-4 c+20 w14 h4 i13 U : "*material_value creep:temperature_exp"
float  "%-14.6g"  r=  c+14 w18 h4 i11 :   material_value_creep:temperature_exp
popup  "TABLE"    r+4 c-14 w14 h4 i13 \
       : "*material_table creep:temperature_exp0" \
              dr15 dc36 dw84 dh75 {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table creep:temperature_exp0"
endpopup }
string "%s" r62 c36 w18 h4 i11 : material_table_creep:temperature_exp0

label "TIME DEPENDENCE" r+6 c2 w52 h4 i12
group {
  oneonly "POWER LAW"        r+4 c2 w20 h4 i13 \
          : "*material_option creep:time:power"
  oneonly "PIECEWISE-LINEAR" r+4 c= w20 h4 i13 \
          : "*material_option creep:time:series"
endgroup }
button "EXPONENT" r-4 c+20 w14 h4 i13 U : "*material_value creep:time_exp"
float  "%-14.6g"  r=  c+14 w18 h4 i11 :   material_value_creep:time_exp
popup  "TABLE"    r+4 c-14 w14 h4 i13 \
       : "*material_table creep:time_exp0" \
              dr15 dc36 dw84 dh75 {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table creep:time_exp0"
endpopup }
string "%s" r76 c36 w18 h4 i11 : material_table_creep:time_exp0

label  "IMPLICIT CREEP" r+6 c2   w34 h4 i12
button "BACK STRESS"    r+4 c=   w16 h4 i13 \
     : "*material_value creep:back_stress"
float  "%-14.6g"        r=  c+16 w18 h4 i11 \
     :   material_value_creep:back_stress

button "RESET"  r+6 c2   w12 h10 i13 U \
       : "*material_reset rate:creep"
button "REMOVE" r=  c>20 w12 h10 i13 U \
       : "*remove_popup *material_remove_type rate:creep"
button "OK"     r=  c+40 w12 h10 i13 :  *remove_popup
