screen ~ csg "CSG PROCESSOR" r1 c1 w32 h4 i12 H120 W128 {

 label "PRIMITIVES" r6 c1 w32 h36 i12
 button "HALF PLANE" r10 c3 w13 h4 i13 : *csg_half_plane
 button "SPHERE" r10 c18 w13 h4 i13 : *csg_sphere
 button "CYLINDER" r15 c3 w13 h4 i13 : *csg_cylinder
 button "CONE" r15 c18 w13 h4 i13 : *csg_cone
 button "PARABOLOID" r20 c3 w13 h4 i13 : *csg_paraboloid
 button "TRIANGLE" r20 c18 w13 h4 i13 : *csg_triangle
 label "TOROIDS" r25 c3 w28 h15 i12
 button "SPHERICAL" r29 c4 w12 h4 i13 : *csg_sphere_toroid
 button "CYLINDRICAL" r29 c18 w12 h4 i13 : *csg_cylinder_toroid
 button "PARABOLIC" r34 c4 w12 h4 i13 : *csg_paraboloid_toroid
 button "CONIC" r34 c18 w12 h4 i13 : *csg_cone_toroid

 label "SET OPERATIONS" r43 c1 w32 h15 i12
 button "UNION" r47 c3 w13 h4 i13 : *csg_union
 button "SUBTRACT" r47 c18 w13 h4 i13 : *csg_subtract
 button "INTERSECT" r52 c3 w13 h4 i13 : *csg_intersect

 label "TRANSFORMATIONS" r59 c1 w32 h15 i12
 button "TRANSLATE" r63 c3 w13 h4 i13 : *csg_translate
 button "ROTATE" r63 c18 w13 h4 i13 : *csg_rotate
 button "SCALE" r68 c3 w13 h4 i13 : *csg_scale

 label "STACK" r75 c1 w32 h25 i12
 button "POP" r79 c3 w8 h4 i13 U : *csg_pop
 button "SWAP" r84 c3 w8 h4 i13 U : *csg_swap
 button "DUP" r89 c3 w8 h4 i13 U : *csg_duplicate
 button "NAME" r94 c3 w8 h4 i13 U : *csg_name

 string "%s" r78 c13 w18 h4 i11 : csg_stack_1
 string "%s" r82 c13 w18 h4 i11 : csg_stack_2
 string "%s" r86 c13 w18 h4 i11 : csg_stack_3
 string "%s" r90 c13 w18 h4 i11 : csg_stack_4
 string "%s" r94 c13 w18 h4 i11 : csg_stack_5

 button MESH r101 c1 w8 h4 i13 : *csg_mesh
 button "DRAW" r101 c9 w8 h4 i13 : *csg_draw

 button UNDO r101 c17 w16 h4 i13 : *undo
 button SAVE r105 c1 w12 h4 i13 : *save_model
 button RESTORE r105 c13 w12 h4 i13 : *restore_model
 newscreen FILE r105 c25 w8 h4 i10 : *file
 string "%s" r109 c1 w32 h4 i11 : model_name

#include standard.m
#include transform.m

endscreen }
