# dw58 dh72

label "DAMAGE PROPERTIES" r1 c1 w58 h4 i12

label "VOID NUCLEATION METHOD" r+5 c2 w26 h4 i12
group {
  oneonly "NONE"                   r+4 c= w26 h4 i13 \
        : "*material_option damage:method:none"
  oneonly "PLASTIC STRAIN CONTROL" r+4 c= w26 h4 i13 \
        : "*material_option damage:method:strain"
  oneonly "STRESS CONTROL"         r+4 c= w26 h4 i13 \
        : "*material_option damage:method:stress"
  oneonly "USER SUB. UVOIDN"       r+4 c= w26 h4 i13 \
        : "*material_option damage:method:usersub"
endgroup }

button "1ST YIELD SURFACE MULTIPLIER"        r+6 c2   w38 h4 i13 \
       : "*material_value damage:mult_1"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:mult_1
button "2ND YIELD SURFACE MULTIPLIER"        r+4 c2   w38 h4 i13 \
       : "*material_value damage:mult_2"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:mult_2
button "INITIAL VOID VOLUME FRACTION"        r+4 c2   w38 h4 i13 \
       : "*material_value damage:initial"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:initial
button "CRITICAL VOID VOLUME FRACTION"       r+4 c2   w38 h4 i13 \
       : "*material_value damage:critical"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:critical
button "FAILURE VOID VOLUME FRACTION"        r+4 c2   w38 h4 i13 \
       : "*material_value damage:failure"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:failure
button "MEAN STRAIN/STRESS FOR NUCLEATION"   r+4 c2   w38 h4 i13 \
       : "*material_value damage:mean"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:mean
button "STANDARD DEVIATION"                  r+4 c2   w38 h4 i13 \
       : "*material_value damage:deviation"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:deviation
button "VOLUME FRACTION FOR VOID NUCLEATION" r+4 c2   w38 h4 i13 \
       : "*material_value damage:nucleation"
float  "%-14.6g"                             r=  c+38 w18 h4 i11 \
       :   material_value_damage:nucleation

button "RESET"  r+6 c2   w12 h10 i13 \
       : "*material_reset damage:damage"
button "REMOVE" r=  c>22 w12 h10 i13 \
       : "*remove_popup *material_remove_type damage:damage"
button "OK"     r=  c+44 w12 h10 i13 :  *remove_popup
