# dw72 dh52

label "FAILURE CRITERIA PROPERTIES" r1 c1 w72 h4 i12

toggle "PROGRESSIVE FAILURE" r6 c2 w36 h4 i13 \
     : "*material_option failure:progressive:on / \
        *material_option failure:progressive:off"

label "CRITERIA 1" r12 c2 w22 h4 i12
group {

  string "%s" r+4 c+19 w3 h4 i9 : failure:criteria1:max_stress
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria1:max_strain
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria1:hoffman
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria1:hill
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria1:tsai_wu
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria1:usersub

  popup "MAXIMUM STRESS" r-20 c2 w19 h4 i10 \
        : "*material_option failure:criteria1:max_stress" \
                         dr12 dc48 dw60 dh52 {

#include max_stress.m

  endpopup }

  popup "MAXIMUM STRAIN" r+4 c2 w19 h4 i10 \
        : "*material_option failure:criteria1:max_strain" \
                         dr12 dc48 dw60 dh52 {

#include max_strain.m

  endpopup }

  popup "HOFFMAN" r+4 c2 w19 h4 i10 \
        : "*material_option failure:criteria1:hoffman" \
                  dr12 dc48 dw60 dh56 {

#include hoffman.m

  endpopup }

  popup "HILL" r+4 c2 w19 h4 i10 : "*material_option failure:criteria1:hill" \
               dr12 dc48 dw60 dh44 {

#include hill.m

  endpopup }

  popup "TSAI-WU" r+4 c2 w19 h4 i10 \
        : "*material_option failure:criteria1:tsai_wu" \
                  dr12 dc48 dw60 dh68 {

#include tsai_wu.m

  endpopup }

  button "USER SUB. UFAIL" r+4 c2 w19 h4 i13 U \
         : "*material_option failure:criteria1:usersub"

endgroup }

label "CRITERIA 2" r12 c26 w22 h4 i12
group {

  string "%s" r+4 c+19 w3 h4 i9 : failure:criteria2:max_stress
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria2:max_strain
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria2:hoffman
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria2:hill
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria2:tsai_wu
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria2:usersub

  popup "MAXIMUM STRESS" r-20 c26 w19 h4 i10 \
        : "*material_option failure:criteria2:max_stress" \
                         dr12 dc48 dw60 dh52 {

#include max_stress.m

  endpopup }

  popup "MAXIMUM STRAIN" r+4 c26 w19 h4 i10 \
        : "*material_option failure:criteria2:max_strain" \
                         dr12 dc48 dw60 dh52 {

#include max_strain.m

  endpopup }

  popup "HOFFMAN" r+4 c26 w19 h4 i10 \
        : "*material_option failure:criteria2:hoffman" \
                  dr12 dc48 dw60 dh56 {

#include hoffman.m

  endpopup }

  popup "HILL" r+4 c26 w19 h4 i10 : "*material_option failure:criteria2:hill" \
               dr12 dc48 dw60 dh44 {

#include hill.m

  endpopup }

  popup "TSAI-WU" r+4 c26 w19 h4 i10 \
        : "*material_option failure:criteria2:tsai_wu" \
                  dr12 dc48 dw60 dh68 {

#include tsai_wu.m

  endpopup }

  button "USER SUB. UFAIL" r+4 c26 w19 h4 i13 U \
         : "*material_option failure:criteria2:usersub"

endgroup }

label "CRITERIA 3" r12 c50 w22 h4 i12
group {

  string "%s" r+4 c+19 w3 h4 i9 : failure:criteria3:max_stress
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria3:max_strain
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria3:hoffman
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria3:hill
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria3:tsai_wu
  string "%s" r+4 c=   w3 h4 i9 : failure:criteria3:usersub

  popup "MAXIMUM STRESS" r-20 c50 w19 h4 i10 \
        : "*material_option failure:criteria3:max_stress" \
                         dr12 dc48 dw60 dh52 {

#include max_stress.m

  endpopup }

  popup "MAXIMUM STRAIN" r+4 c50 w19 h4 i10 \
        : "*material_option failure:criteria3:max_strain" \
                         dr12 dc48 dw60 dh52 {

#include max_strain.m

  endpopup }

  popup "HOFFMAN" r+4 c50 w19 h4 i10 \
        : "*material_option failure:criteria3:hoffman" \
                  dr12 dc48 dw60 dh56 {

#include hoffman.m

  endpopup }

  popup "HILL" r+4 c50 w19 h4 i10 : "*material_option failure:criteria3:hill" \
               dr12 dc48 dw60 dh44 {

#include hill.m

  endpopup }

  popup "TSAI-WU" r+4 c50 w19 h4 i10 \
        : "*material_option failure:criteria3:tsai_wu" \
                  dr12 dc48 dw60 dh68 {

#include tsai_wu.m

  endpopup }

  button "USER SUB. UFAIL" r+4 c50 w19 h4 i13 U \
         : "*material_option failure:criteria3:usersub"

endgroup }

button "RESET"  r+6 c2   w12 h10 i13 U \
       : "*material_reset damage:failure"
button "REMOVE" r=  c>29 w12 h10 i13 U \
       : "*remove_popup *material_remove_type damage:failure"
button "OK"     r=  c+58 w12 h10 i13 :  *remove_popup
