screen ~ cad_data "CAD DATA" r1 c1 w32 h4 i12 H120 W128 {
   label     " " r7 c1 w32 h53 i12
   newscreen "     IGES" r9 c5 w24 h4 i10 : iges ? iges.hlp
   newscreen "     I-DEAS" r14 c5 w24 h4 i10 : sdrc ? sdrc.hlp
   newscreen "     PDA" r19 c5 w24 h4 i10 : pda ? pda.hlp
   newscreen "     ANSYS" r24 c5 w24 h4 i10 : ansys ? ansys.hlp
   newscreen "     MSC/NASTRAN" r29 c5 w24 h4 i10 : nastran ? nastran.hlp
   newscreen "     ProEngineer" r34 c5 w24 h4 i10 : pro_engineer ? pro_engineer.hlp
   newscreen "     Intergraph" r39 c5 w24 h4 i10 : intergraph ? intergraph.hlp
   newscreen "     CATIA" r44 c5 w24 h4 i10 : catia ? catia.hlp
   newscreen "     CADAM" r49 c5 w24 h4 i10 : cadam ? cadam.hlp
   newscreen "     AutoCAD" r54 c5 w24 h4 i10 : autocad ? autocad.hlp

   button "ALL EXISTING" r93 c1 w12 h4 i13 : all_existing
   button "ALL SELECTED" r93 c13 w12 h4 i13 : all_selected
   button " EOL " r93 c25 w8 h4 i13 : " #"
   newscreen SELECT r97 c1 w16 h4 i10 : select
   button UNDO r97 c17 w16 h4 i13 : *undo
   newscreen VIEWING r101 c1 w16 h4 i10 : viewing ? viewing.hlp
   newscreen PLOT r101 c17 w16 h4 i10 : plot ? plot.hlp
   button SAVE r105 c1 w12 h4 i13 : *save_model
   button RESTORE r105 c13 w12 h4 i13 : *restore_model
   label (FILE) r105 c25 w8 h4 i12
   string "%s" r109 c1 w32 h4 i11 : model_name

#include standard.m
#include transform.m
   endscreen }  

screen ~ nastran "IMPORT NASTRAN" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_nastran
   string "File %s" r13 c1 w32 h4 i11 : nastran_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

screen ~ iges "IMPORT IGES" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_iges
   string "File %s" r13 c1 w32 h4 i11 : iges_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

screen ~ pro_engineer "IMPORT ProEngineer" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_pro_engineer
   string "File %s" r13 c1 w32 h4 i11 : pro_engineer_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

screen ~ cadam "IMPORT CADAM" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_cadam
   string "File %s" r13 c1 w32 h4 i11 : cadam_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

screen ~ pda "IMPORT PDA" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_pda
   string "File %s" r13 c1 w32 h4 i11 : pda_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

screen ~ autocad "IMPORT AutoCAD DXF" r1 c1 w32 h4 i12 H120 W128 {
   button IMPORT r9 c1 w16 h4 i13 : *import_autocad ? autocad.hlp
   string "File %s" r13 c1 w32 h4 i11 : autocad_filename
   newscreen DONE r117 c1 w16 h4 i10 : endscreen }  

