# dw76 dh82
label "SOLVER" r1  c1 w76 h4 i12

label "TYPE" r+5 c2 w36 h4 i12
group {
  oneonly "DIRECT PROFILE"         r+4 c=  w36 h4 i13 \
          : "*job_option solver:dir_profile"
  oneonly "DIRECT SPARSE"          r+4 c= w36 h4 i13 \
          : "*job_option solver:dir_sparse"
  oneonly "ITERATIVE ELEM BY ELEM" r+4 c= w36 h4 i13 \
          : "*job_option solver:it_ebe"
  oneonly "ITERATIVE SPARSE"       r+4 c= w36 h4 i13 \
          : "*job_option solver:it_sparse"
  oneonly "HARDWARE PROFILE"       r+4 c= w36 h4 i13 \
          : "*job_option solver:hardware"
  oneonly "HARDWARE SPARSE"        r+4 c= w36 h4 i13 \
          : "*job_option solver:sparse"
  oneonly "NONSYMMETRIC MATRIX"    r+4 c= w36 h4 i13 \
          : "*job_option solver:nonsym"
endgroup }

label "ITERATIVE ELEM BY ELEM" r+6  c2   w36 h4 i12
button "MAX # ITERATIONS" r+4 c=  w24 h4 i13 : "*job_param ebe_maxit"
integer "%-d"           r=  c+24 w12 h4 i11 : job_param_ebe_maxit
button "STRESS ANALYSIS TOL." r+4 c-24 w24 h4 i13 : "*job_param ebe_stress_tol"
float  "%-14.6g"      r=  c+24 w12 h4 i11 : job_param_ebe_stress_tol
button "HEAT ANALYSIS TOL." r+4 c-24 w24 h4 i13 : "*job_param ebe_heat_tol"
float  "%-14.6g"      r=  c+24 w12 h4 i11 : job_param_ebe_heat_tol
button "CONDITION NR CUTOFF" r+4 c-24 w24 h4 i13 : "*job_param condition"
float  "%-14.6g"      r=  c+24 w12 h4 i11 : job_param_condition
button "MAX # GROUPS" r+4 c-24 w24 h4 i13 : "*job_param max_groups"
integer "%-d"           r=  c+24 w12 h4 i11 : job_param_max_groups
label "PRECONDITIONER" r+4 c-24 w36 h4 i12
group {
  oneonly "NONE" r+4 c=  w36 h4 i13 \
          : "*job_option ebe_prec:none"
  oneonly "INCOMPLETE CHOLESKI" r+4 c= w36 h4 i13 \
          : "*job_option ebe_prec:inc_chol"
endgroup }

label "ITERATIVE SPARSE" r-32  c40  w36 h4 i12
button "MAX # ITERATIONS" r+4 c=  w24 h4 i13 : "*job_param sparse_maxit"
integer "%-d"           r=  c+24 w12 h4 i11 : job_param_sparse_maxit
button "TOLERANCE" r+4 c-24 w24 h4 i13 : "*job_param sparse_tol"
float  "%-14.6g"      r=  c+24 w12 h4 i11 : job_param_sparse_tol
label "PRECONDITIONER" r+4 c-24 w36 h4 i12
group {
  oneonly "DIAGONAL" r+4 c=  w36 h4 i13 \
          : "*job_option sparse_prec:diag"
  oneonly "SCALED DIAGONAL" r+4 c= w36 h4 i13 \
          : "*job_option sparse_prec:scaled_diag"
  oneonly "INCOMPLETE CHOLESKI" r+4 c= w36 h4 i13 \
          : "*job_option sparse_prec:inc_chol"
endgroup }

button "OK" r+14 c33 w12 h8 i13 : *remove_popup
