screen ~ mat_props "MATERIAL PROPERTIES" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_material
  string "%s"   r=  c+8  w16 h4 i11   :  material_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_material
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_material
  button "NAME" r=  c+8  w8  h4 i13 U : *material_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_material
  popup  "EDIT" r=  c+8  w8  h4 i10   : *edit_material dr12 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED MATERIALS" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : material_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(material)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(material,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(material,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  label "MECHANICAL MATERIAL TYPES" r+5 c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_isotropic
  string "%s" r+4 c=   w3 h4 i9 : material_type_orthotropic
  string "%s" r+4 c=   w3 h4 i9 : material_type_anisotropic
  string "%s" r+4 c=   w3 h4 i9 : material_type_hypoelastic

  popup "ISOTROPIC" r-12 c2 w27 h4 i10 dr6 dc36 dw60 dh54 \
      : "*material_type mechanical:isotropic" {

    label "ISOTROPIC PROPERTIES" r1  c1   w60 h4 i12

    button "YOUNG'S MODULUS" r+5 c2   w18 h4 i13 U \
         : "*material_value isotropic:youngs_modulus"
    float  "%-14.6g"         r=  c+18 w18 h4 i11 \
         :   material_value_isotropic:youngs_modulus
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table isotropic:youngs_modulus0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table isotropic:youngs_modulus0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_isotropic:youngs_modulus0

    button "POISSON'S RATIO" r+4 c-44 w18 h4 i13 U \
         : "*material_value isotropic:poissons_ratio"
    float  "%-14.6g"         r=  c+18 w18 h4 i11 \
         :   material_value_isotropic:poissons_ratio
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table isotropic:poissons_ratio0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table isotropic:poissons_ratio0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_isotropic:poissons_ratio0

    button "MASS DENSITY" r+4 c-44 w18 h4 i13 U \
         : "*material_value isotropic:mass_density"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_isotropic:mass_density

    string "%s" r20 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r20 c2 w15 h4 i10 U dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r20 c37 w3 h4 i9 :  material_type_plasticity

    popup "PLASTICITY" r20 c22 w15 h4 i10 U dr9 dc42 dw70 dh94 \
        : "*material_type plasticity" {

#include iso_plastic.m

    endpopup }

    string "%s" r20 c57 w3 h4 i9 : material_type_iso_thermal

    popup "THERMAL EXP." r20 c42 w15 h4 i10 U dr9 dc42 dw62 dh22 \
        : "*material_type thermal_expansion:iso_thermal" {

#include iso_thermal.m

    endpopup }

    label  "RATE EFFECTS" r26 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_iso_visco
    string "%s" r+4 c=   w3 h4 i9 : material_type_creep

    popup "VISCOELASTIC" r30 c9 w15 h4 i10 dr9 dc42 dw84 dh93 \
        : "*material_type rate:iso_visco" {

#include iso_visco.m

    endpopup }

    popup "CREEP" r34 c9 w15 h4 i10 dr9 dc42 dw54 dh102 \
        : "*material_type rate:creep" {

#include creep.m

    endpopup }

    label "DAMAGE EFFECTS" r26 c35 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_cracking
    string "%s" r+4 c=   w3 h4 i9 : material_type_damage
    string "%s" r+4 c=   w3 h4 i9 : material_type_failure

    popup "CRACKING" r30 c35 w15 h4 i10 dr9 dc42 dw40 dh48 \
        : "*material_type damage:cracking" {

#include cracking.m

    endpopup }

    popup "DAMAGE" r34 c35 w15 h4 i10 dr9 dc42 dw58 dh72 \
        : "*material_type damage:damage" {

#include damage.m

    endpopup }

    popup "FAILURE" r38 c35 w15 h4 i10 dr9 dc42 dw72 dh52 \
        : "*material_type damage:failure" {

#include failure.m

    endpopup }

    button "RESET"  r44 c2   w12 h10 i13 U \
         : "*material_reset mechanical:isotropic"
    button "REMOVE" r=  c>23 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:isotropic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "ORTHOTROPIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh92 \
      : "*material_type mechanical:orthotropic" {

    label "ORTHOTROPIC PROPERTIES" r1 c1 w60 h4 i12

    label  "YOUNG'S MODULI" r+5 c2   w58 h4 i12
    button "E11"            r+4 c=   w18 h4 i13 \
         : "*material_value orthotropic:youngs_modulus11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:youngs_modulus11
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:youngs_modulus110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:youngs_modulus110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:youngs_modulus110

    button "E22"     r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:youngs_modulus22"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:youngs_modulus22
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:youngs_modulus220" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:youngs_modulus220"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:youngs_modulus220

    button "E33"     r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:youngs_modulus33"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:youngs_modulus33
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:youngs_modulus330" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:youngs_modulus330"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:youngs_modulus330

    label  "POISSON'S RATIOS" r+4 c2   w58 h4 i12
    button "NU12"             r+4 c=   w18 h4 i13 U \
         : "*material_value orthotropic:poissons_ratio12"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:poissons_ratio12
    popup  "TABLE"            r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:poissons_ratio120" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:poissons_ratio120"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:poissons_ratio120

    button "NU23"    r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:poissons_ratio23"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:poissons_ratio23
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:poissons_ratio230" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:poissons_ratio230"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:poissons_ratio230

    button "NU31"    r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:poissons_ratio31"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:poissons_ratio31
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:poissons_ratio310" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:poissons_ratio310"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:poissons_ratio310

    label  "SHEAR MODULI" r+4 c2   w58 h4 i12
    button "G12"          r+4 c=   w18 h4 i13 U \
         : "*material_value orthotropic:shear_modulus12"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:shear_modulus12
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:shear_modulus120" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:shear_modulus120"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:shear_modulus120

    button "G23"     r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:shear_modulus23"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:shear_modulus23
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:shear_modulus230" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:shear_modulus230"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:shear_modulus230

    button "G31"     r+4 c2   w18 h4 i13 U \
         : "*material_value orthotropic:shear_modulus31"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:shear_modulus31
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table orthotropic:shear_modulus310" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table orthotropic:shear_modulus310"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_orthotropic:shear_modulus310

    button "MASS DENSITY" r+6 c2   w18 h4 i13 U \
         : "*material_value orthotropic:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_orthotropic:mass_density

    string "%s" r+6 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r= c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r= c37 w3 h4 i9 : material_type_plasticity

    popup "PLASTICITY" r= c22 w15 h4 i10 dr9 dc42 dw70 dh90 \
        : "*material_type plasticity" {

#include ortho_plast.m

    endpopup }

    string "%s" r= c57 w3 h4 i9 : material_type_ortho_thermal

    popup "THERMAL EXP." r= c42 w15 h4 i10 dr9 dc42 dw62 dh48 \
        : "*material_type thermal_expansion:ortho_thermal" {

#include ortho_therm.m

    endpopup }

    label  "RATE EFFECTS" r+6 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_ortho_visco
    string "%s" r+4 c=   w3 h4 i9 : material_type_creep

    popup "VISCOELASTIC" r-4 c9 w15 h4 i10 dr9 dc39 dw90 dh94 \
        : "*material_type rate:ortho_visco" {

#include ortho_visco.m

    endpopup }

    popup "CREEP" r+4 c9 w15 h4 i10 dr9 dc42 dw54 dh102 \
        : "*material_type rate:creep" {

#include creep.m

    endpopup }

    label  "DAMAGE EFFECTS" r-8 c35 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_damage
    string "%s" r+4 c=   w3 h4 i9 : material_type_failure

    popup "DAMAGE" r-4 c35 w15 h4 i10 dr9 dc42 dw58 dh72 \
        : "*material_type damage:damage" {

#include damage.m

    endpopup }

    popup "FAILURE" r+4 c35 w15 h4 i10 dr9 dc42 dw72 dh52 \
        : "*material_type damage:failure" {

#include failure.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:orthotropic"
    button "REMOVE" r=  c>23 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:orthotropic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "ANISOTROPIC" r+4 c= w27 h4 i10 dr6 dc18 dw110 dh86 \
      : "*material_type mechanical:anisotropic" {

    label "ANISOTROPIC PROPERTIES" r1 c1 w110 h4 i12

    label "METHOD" r+5 c2 w36 h4 i12
    group {
      oneonly "ENTERED VALUES"                    r+4 c= w36 h4 i13 \
            : "*material_option anisotropic:method:default"
      oneonly "USER SUBS. ANELAS, HOOKLW, ANPLAS" r+4 c= w36 h4 i13 \
            : "*material_option anisotropic:method:usersub"
    endgroup }

    button "MASS DENSITY" r+6 c2   w18 h4 i13 U \
         : "*material_value anisotropic:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_anisotropic:mass_density

    label  " Cij" r+6 c2 w108 h4 i12

    button "11"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c11"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c11
    button "12"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c12"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c12
    button "13"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c13"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c13
    button "14"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c14"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c14
    button "15"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c15"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c15
    button "16"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c16"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c16

    button "21"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c12"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c12
    button "22"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c22"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c22
    button "23"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c23"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c23
    button "24"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c24"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c24
    button "25"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c25"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c25
    button "26"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c26"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c26

    button "31"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c13"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c13
    button "32"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c23"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c23
    button "33"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c33"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c33
    button "34"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c34"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c34
    button "35"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c35"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c35
    button "36"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c36"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c36

    button "41"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c14"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c14
    button "42"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c24"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c24
    button "43"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c34"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c34
    button "44"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c44"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c44
    button "45"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c45"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c45
    button "46"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c46"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c46

    button "51"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c15"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c15
    button "52"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c25"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c25
    button "53"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c35"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c35
    button "54"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c45"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c45
    button "55"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c55"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c55
    button "56"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c56"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c56

    button "61"         r+4 c2   w4  h4 i13 : "*material_value anisotropic:c16"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c16
    button "62"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c26"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c26
    button "63"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c36"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c36
    button "64"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c46"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c46
    button "65"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c56"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c56
    button "66"         r=  c+14 w4  h4 i13 : "*material_value anisotropic:c66"
    float  "%-14.3g"    r=  c+4  w14 h4 i11 :   material_value_anisotropic:c66

    string "%s" r+6 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r= c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r= c37 w3 h4 i9 : material_type_plasticity

    popup "PLASTICITY" r= c22 w15 h4 i10 dr9 dc42 dw70 dh90 \
        : "*material_type plasticity" {

#include aniso_plast.m

    endpopup }

    string "%s" r= c57 w3 h4 i9 :  material_type_aniso_thermal

    popup "THERMAL EXP." r= c42 w15 h4 i10 dr9 dc42 dw56 dh48 \
        : "*material_type thermal_expansion:aniso_thermal" {

      label "ANISOTROPIC THERMAL EXPANSION PROPERTIES" r1 c1 w56 h4 i12

      label "METHOD" r+5 c2 w20 h4 i12
      group {
        oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 \
                : "*material_option aniso_thermal:method:default"
        oneonly "USER SUB. ANEXP" r+4 c= w20 h4 i13 \
                : "*material_option aniso_thermal:method:usersub"
      endgroup }

      label "ALPHAij" r+6 c2 w54 h4 i12

      button "11"      r+4 c2  w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp11"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp11
      button "12"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp12"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp12
      button "13"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp13"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp13

      button "21"      r+4 c2  w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp12"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp12
      button "22"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp22"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp22
      button "23"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp23"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp23

      button "31"      r+4 c2  w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp13"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp13
      button "32"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp23"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp23
      button "33"      r=  c+14 w4  h4 i13 \
           : "*material_value aniso_thermal:thermal_exp33"
      float  "%-14.3g" r=  c+4 w14 h4 i11 \
           :   material_value_aniso_thermal:thermal_exp33

      button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset thermal_expansion:aniso_thermal"
      button "REMOVE" r=  c>21 w12 h10 i13 U \
         : "*remove_popup *material_remove_type thermal_expansion:aniso_thermal"
      button "OK"     r=  c+42 w12 h10 i13 :  *remove_popup

    endpopup }

    label  "RATE EFFECTS" r+6 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_creep

    popup "CREEP" r= c9 w15 h4 i10 dr9 dc42 dw54 dh102 \
        : "*material_type rate:creep" {

#include creep.m

    endpopup }

    label  "DAMAGE EFFECTS" r-4 c35 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_damage
    string "%s" r+4 c=   w3 h4 i9 : material_type_failure

    popup "DAMAGE" r-4 c35 w15 h4 i10 dr9 dc42 dw58 dh72 \
        : "*material_type damage:damage" {

#include damage.m

    endpopup }

    popup "FAILURE" r+4 c35 w15 h4 i10 dr9 dc42 dw72 dh52 \
        : "*material_type damage:failure" {

#include failure.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:anisotropic"
    button "REMOVE" r=  c>48 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:anisotropic"
    button "OK"     r=  c+96 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "HYPOELASTIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh44 \
      : "*material_type mechanical:hypoelastic" {

    label "HYPOELASTIC PROPERTIES" r1 c1 w60 h4 i12

    label "USER SUB. HYPELA/UBEAM" r+5 c2 w36 h4 i12

    button "MASS DENSITY" r+6 c2   w18 h4 i13 U \
         : "*material_value hypoelastic:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_hypoelastic:mass_density

    string "%s" r+6 c17 w3 h4 i9 : material_type_damping

    popup  "DAMPING" r= c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
         : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r= c57 w3 h4 i9 :  material_type_iso_thermal

    popup "THERMAL EXP." r= c42 w15 h4 i10 dr9 dc42 dw62 dh36 \
        : "*material_type thermal_expansion:iso_thermal" {

      label "THERMAL EXPANSION PROPERTIES" r1 c1 w62 h4 i12

      label "METHOD" r+5 c2 w20 h4 i12
      group {
        oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 \
                : "*material_option iso_thermal:method:default"
        oneonly "USER SUB. ANEXP" r+4 c= w20 h4 i13 \
                : "*material_option iso_thermal:method:usersub"
      endgroup }

      button "THERMAL EXP. COEF." r+6 c2  w20 h4 i13 \
             : "*material_value iso_thermal:thermal_exp"
      float  "%-14.6g"            r= c+20 w18 h4 i11 \
             :   material_value_iso_thermal:thermal_exp
      popup "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
          : "*material_table iso_thermal:thermal_exp0" {
##include sel_table.m
        label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

        buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
        buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
        string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

        button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
        button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
        button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
        button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
        button "CLEAR" r67 c2 w12 h8 i13 \
               : "*clear_material_table iso_thermal:thermal_exp0"
      endpopup }
      string "%s" r= c+8 w14 h4 i11 : material_table_iso_thermal:thermal_exp0

      button "RESET"  r+6 c2   w12 h10 i13 U \
             : "*material_reset thermal_expansion:iso_thermal"
      button "REMOVE" r=  c>24 w12 h10 i13 U \
          : "*remove_popup *material_remove_type thermal_expansion:iso_thermal"
      button "OK"     r=  c+48 w12 h10 i13 :  *remove_popup

    endpopup }

    label  "RATE EFFECTS" r+6 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_creep

    popup "CREEP" r= c9 w15 h4 i10 dr9 dc42 dw54 dh102 \
        : "*material_type rate:creep" {

#include creep.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:hypoelastic"
    button "REMOVE" r=  c>23 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:hypoelastic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  newscreen "MORE" r+4 c= w27 h4 i10 : mat_props2

  label "OTHER MATERIAL TYPES" r+6 c1 w32 h33 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_heat
  string "%s" r+4 c=   w3 h4 i9 : material_type_joule
  string "%s" r+4 c=   w3 h4 i9 : material_type_acoustic
  string "%s" r+4 c=   w3 h4 i9 : material_type_bearing
  string "%s" r+4 c=   w3 h4 i9 : material_type_electrostatic
  string "%s" r+4 c=   w3 h4 i9 : material_type_magnetostatic
  string "%s" r+4 c=   w3 h4 i9 : material_type_electromagnetic

  popup "HEAT TRANSFER" r-24 c2 w27 h4 i10 dr2 dc36 dw60 dh116 \
      : "*material_type heat" {

    label "HEAT TRANSFER PROPERTIES" r1 c1 w60 h4 i12

    label "TYPE" r+5 c2 w36 h4 i12
    group {
      oneonly "ISOTROPIC"   r+4 c= w18 h4 i13 \
            : "*material_option heat:type:isotropic"
      oneonly "ORTHOTROPIC" r+4 c= w18 h4 i13 \
            : "*material_option heat:type:orthotropic"
      oneonly "ANISOTROPIC" r+4 c= w18 h4 i13 \
            : "*material_option heat:type:anisotropic"
    endgroup }

    toggle "USER SUB. ANKOND" r-8 c+18 w18 h12 i13 \
        : "*material_option heat:usersub:on / *material_option heat:usersub:off"

    label "ISOTROPIC" r+14 c2 w58 h4 i12

    button "CONDUCTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:conductivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:conductivity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:conductivity0

    label "ORTHOTROPIC" r+6 c2 w58 h4 i12

    button "CONDUCTIVITY1" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity1"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity1
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:conductivity10" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:conductivity10"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:conductivity10

    button "CONDUCTIVITY2" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity2"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity2
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:conductivity20" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:conductivity20"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:conductivity20

    button "CONDUCTIVITY3" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity3"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity3
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:conductivity30" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:conductivity30"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:conductivity30

    label "ANISOTROPIC" r+6 c2 w36 h4 i12

    button "CONDUCTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity11

    button "CONDUCTIVITY12" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity12"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity12

    button "CONDUCTIVITY13" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity13"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity13

    button "CONDUCTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity22

    button "CONDUCTIVITY23" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity23"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity23

    button "CONDUCTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value heat:conductivity33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_heat:conductivity33

    label "ISOTROPIC, ORTHOTROPIC & ANISOTROPIC" r+6 c2 w58 h4 i12

    button "SPECIFIC HEAT" r+4 c2   w18 h4 i13 \
         : "*material_value heat:specific_heat"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_heat:specific_heat
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:specific_heat0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:specific_heat0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:specific_heat0

    button "MASS DENSITY" r+4 c2   w18 h4 i13 \
         : "*material_value heat:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_heat:mass_density

    button "EMISSIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value heat:emissivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_heat:emissivity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table heat:emissivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table heat:emissivity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_heat:emissivity0

    string "%s" r+6 c17 w3 h4 i9 : material_type_latent_heat

    popup "LATENT HEAT" r= c2 w15 h4 i10 dr9 dc42 dw68 dh48 \
        : "*material_type latent_heat" {

#include latent_heat.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset heat"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type heat"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "JOULE HEATING" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh98 \
      : "*material_type joule" {

    label "JOULE HEATING PROPERTIES" r1 c1 w60 h4 i12

    label "TYPE" r+5 c2 w36 h4 i12
    group {
      oneonly "ISOTROPIC"   r+4 c= w18 h4 i13 \
            : "*material_option joule:type:isotropic"
      oneonly "ORTHOTROPIC" r+4 c= w18 h4 i13 \
            : "*material_option joule:type:orthotropic"
    endgroup }

    toggle "USER SUB. ANKOND" r-4 c+18 w18 h8 i13 \
      : "*material_option joule:usersub:on / *material_option joule:usersub:off"

    label "ISOTROPIC" r+10 c2 w58 h4 i12

    button "CONDUCTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value joule:conductivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_joule:conductivity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:conductivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:conductivity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:conductivity0

    button "RESISTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value joule:resistivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_joule:resistivity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:resistivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:resistivity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:resistivity0

    label "ORTHOTROPIC" r+6 c2 w58 h4 i12

    button "CONDUCTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value joule:conductivity11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:conductivity11
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:conductivity110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:conductivity110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:conductivity110

    button "CONDUCTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value joule:conductivity22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:conductivity22
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:conductivity220" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:conductivity220"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:conductivity220

    button "CONDUCTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value joule:conductivity33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:conductivity33
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:conductivity330" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:conductivity330"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:conductivity330

    button "RESISTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value joule:resistivity11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:resistivity11
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:resistivity110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:resistivity110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:resistivity110

    button "RESISTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value joule:resistivity22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:resistivity22
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:resistivity220" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:resistivity220"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:resistivity220

    button "RESISTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value joule:resistivity33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_joule:resistivity33
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:resistivity330" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:resistivity330"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:resistivity330

    label "ISOTROPIC & ORTHOTROPIC" r+6 c2 w58 h4 i12

    button "SPECIFIC HEAT" r+4 c2   w18 h4 i13 \
         : "*material_value joule:specific_heat"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_joule:specific_heat
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:specific_heat0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:specific_heat0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:specific_heat0

    button "MASS DENSITY" r+4 c2   w18 h4 i13 \
         : "*material_value joule:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_joule:mass_density

    button "EMISSIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value joule:emissivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_joule:emissivity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table joule:emissivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table joule:emissivity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_joule:emissivity0

    string "%s" r+6 c17 w3 h4 i9 : material_type_latent_heat

    popup "LATENT HEAT" r= c2 w15 h4 i10 dr9 dc42 dw68 dh48 \
        : "*material_type latent_heat" {

#include latent_heat.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset joule"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type joule"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "ACOUSTIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh26 \
      : "*material_type acoustic" {

    label "ACOUSTIC PROPERTIES" r1 c1 w60 h4 i12

    button "BULK MODULUS" r+5 c2   w18 h4 i13 \
         : "*material_value acoustic:bulk_modulus"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_acoustic:bulk_modulus

    button "MASS DENSITY" r+4 c2   w18 h4 i13 \
         : "*material_value acoustic:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_acoustic:mass_density

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset acoustic"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type acoustic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "BEARING" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh30 \
      : "*material_type bearing" {

    label "BEARING PROPERTIES" r1 c1 w60 h4 i12

    button "VISCOSITY" r+5 c2   w18 h4 i13 : "*material_value bearing:viscosity"
    float  "%-14.6g"   r=  c+18 w18 h4 i11 :   material_value_bearing:viscosity
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table bearing:viscosity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table bearing:viscosity0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_bearing:viscosity0

    button "CAV. PRESSURE" r+4 c2   w18 h4 i13 \
         : "*material_value bearing:cavitation_pressure"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_bearing:cavitation_pressure

    button "MASS DENSITY" r+4 c2   w18 h4 i13 \
         : "*material_value bearing:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_bearing:mass_density

    button "RESET"  r20 c2   w12 h10 i13 \
         : "*material_reset bearing"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type bearing"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "ELECTROSTATIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh58 \
      : "*material_type electrostatic" {

    label "ELECTROSTATIC PROPERTIES" r1 c1 w60 h4 i12

    label "TYPE" r+5 c2 w36 h4 i12
    group {
      oneonly "ISOTROPIC"      r+4 c= w18 h4 i13 \
            : "*material_option electrostatic:type:isotropic"
      oneonly "ORTHOTROPIC"    r+4 c= w18 h4 i13 \
            : "*material_option electrostatic:type:orthotropic"
    endgroup }

    toggle "USER SUB. UEPS" r-4 c+18 w18 h8 i13 \
         : "*material_option electrostatic:usersub:on / *material_option electrostatic:usersub:off"

    label "ISOTROPIC" r+10 c2 w36 h4 i12

    button "PERMITTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value electrostatic:permittivity"
    float  "%-14.6g"     r=  c+18 w18 h4 i11 \
         :   material_value_electrostatic:permittivity

    label "ORTHOTROPIC" r+6 c2 w36 h4 i12

    button "PERMITTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value electrostatic:permittivity11"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_electrostatic:permittivity11

    button "PERMITTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value electrostatic:permittivity22"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_electrostatic:permittivity22

    button "PERMITTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value electrostatic:permittivity33"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_electrostatic:permittivity33

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset electrostatic"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type electrostatic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "MAGNETOSTATIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh90 \
      : "*material_type magnetostatic" {

    label "MAGNETOSTATIC PROPERTIES" r1 c1 w60 h4 i12

    label "TYPE" r+5 c2 w36 h4 i12
    group {
      oneonly "ISOTROPIC"     r+4 c= w18 h4 i13 \
            : "*material_option magnetostatic:type:isotropic"
      oneonly "ORTHOTROPIC"   r+4 c= w18 h4 i13 \
            : "*material_option magnetostatic:type:orthotropic"
    endgroup }

    toggle "USER SUB. UMU" r-4 c+18 w18 h8 i13 \
         : "*material_option magnetostatic:usersub:on / *material_option magnetostatic:usersub:off"

    label "ISOTROPIC" r+10 c2 w58 h4 i12

    button "PERMEABILITY" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:permeability"
    float  "%-14.6g"     r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:permeability

    button "INV PERMEABILITY" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:inv_permeability"
    float  "%-14.6g"         r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:inv_permeability

    button "H-B RELATION" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:hb_relation"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:hb_relation
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table magnetostatic:hb_relation0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table magnetostatic:hb_relation0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_magnetostatic:hb_relation0

    label "ORTHOTROPIC" r+6 c2 w58 h4 i12

    button "PERMEABILITY11" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:permeability11"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:permeability11

    button "PERMEABILITY22" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:permeability22"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:permeability22

    button "PERMEABILITY33" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:permeability33"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:permeability33

    button "INV PERMEABILITY11" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:inv_permeability11"
    float  "%-14.6g"           r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:inv_permeability11

    button "INV PERMEABILITY22" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:inv_permeability22"
    float  "%-14.6g"           r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:inv_permeability22

    button "INV PERMEABILITY33" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:inv_permeability33"
    float  "%-14.6g"           r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:inv_permeability33

    button "H-B RELATION11" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:hb_relation11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:hb_relation11
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table magnetostatic:hb_relation110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table magnetostatic:hb_relation110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_magnetostatic:hb_relation110

    button "H-B RELATION22" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:hb_relation22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:hb_relation22
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table magnetostatic:hb_relation220" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table magnetostatic:hb_relation220"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_magnetostatic:hb_relation220

    button "H-B RELATION33" r+4 c2   w18 h4 i13 \
         : "*material_value magnetostatic:hb_relation33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_magnetostatic:hb_relation33
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table magnetostatic:hb_relation330" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table magnetostatic:hb_relation330"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_magnetostatic:hb_relation330

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset magnetostatic"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type magnetostatic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "ELECTROMAGNETIC" r+4 c= w27 h4 i10 dr6 dc36 dw60 dh116 \
      : "*material_type electromagnetic" {

    label "ELECTROMAGNETIC PROPERTIES" r1 c1 w60 h4 i12

    label "TYPE" r+5 c2 w36 h4 i12
    group {
      oneonly "ISOTROPIC"        r+4 c= w18 h4 i13 \
            : "*material_option electromagnetic:type:isotropic"
      oneonly "ORTHOTROPIC"      r+4 c= w18 h4 i13 \
            : "*material_option electromagnetic:type:orthotropic"
    endgroup }

    toggle "USER SUBS. UEPS,\nUMU, USIGMA" r-4 c+18 w18 h8 i13 \
         : "*material_option electromagnetic:usersub:on / *material_option electromagnetic:usersub:off"

    label "ISOTROPIC" r+10 c2 w58 h4 i12

    button "PERMEABILITY" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permeability"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permeability

    button "PERMITTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permittivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permittivity

    button "CONDUCTIVITY" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:conductivity"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:conductivity

    button "H-B RELATION" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:hb_relation"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:hb_relation
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table electromagnetic:hb_relation0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table electromagnetic:hb_relation0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_electromagnetic:hb_relation0

    label "ORTHOTROPIC" r+6 c2 w58 h4 i12

    button "PERMEABILITY11" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permeability11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permeability11

    button "PERMEABILITY22" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permeability22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permeability22

    button "PERMEABILITY33" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permeability33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permeability33

    button "PERMITTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permittivity11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permittivity11

    button "PERMITTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permittivity22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permittivity22

    button "PERMITTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:permittivity33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:permittivity33

    button "CONDUCTIVITY11" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:conductivity11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:conductivity11

    button "CONDUCTIVITY22" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:conductivity22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:conductivity22

    button "CONDUCTIVITY33" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:conductivity33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:conductivity33

    button "H-B RELATION11" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:hb_relation11"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:hb_relation11
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table electromagnetic:hb_relation110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table electromagnetic:hb_relation110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_electromagnetic:hb_relation110

    button "H-B RELATION22" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:hb_relation22"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:hb_relation22
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table electromagnetic:hb_relation220" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table electromagnetic:hb_relation220"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_electromagnetic:hb_relation220

    button "H-B RELATION33" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:hb_relation33"
    float  "%-14.6g"        r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:hb_relation33
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table electromagnetic:hb_relation330" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table electromagnetic:hb_relation330"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 \
         : material_table_electromagnetic:hb_relation330

    label "ISOTROPIC & ORTHOTROPIC" r+6 c2 w36 h4 i12

    button "AIR PERMEABILITY" r+4 c2   w18 h4 i13 \
         : "*material_value electromagnetic:air_permeability"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 \
         :   material_value_electromagnetic:air_permeability

    button "RESET"  r+6 c2   w12 h10 i13 \
         : "*material_reset electromagnetic"
    button "REMOVE" r=  c>23 w12 h10 i13 \
         : "*remove_popup *material_remove_type electromagnetic"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  label "COMPOSITE MATERIAL" r+6 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_composite

  button "NEW" r= c2 w15 h4 i13 : *new_composite

  popup "DEFINE" r= c+15 w12 h4 i10 : *edit_composite dr6 dc18 dw108 dh83 {

    label "COMPOSITE MATERIAL PROPERTIES" r1 c1 w120 h4 i12

    button "REF PLANE" r+5 c2   w18 h4 i13 \
         : "*material_value composite:ref_plane"
    float  "%-14.6g"   r=  c+18 w18 h4 i11 \
         :   material_value_composite:ref_plane

    button "ADD LAYER"       r+6 c-18 w18 h4 i13 : *composite_material
    button "CLEAR LAYERS"    r+4 c=   w18 h4 i13 : *clear_composite_material
    button "DUPLICATE LAYER" r-4 c+18 w18 h4 i13 : *duplicate_comp_material
    button "COPY LAYERS"     r+4 c=   w18 h4 i13 : *copy_composite_materials

    label   "# LAYERS" r-4 c+20 w18 h4 i12
    integer "%-d"      r=  c+18 w10 h4 i11 : composite_nlayers

    label "LAYERS" r+10 c2 w66 h4 i12

    buttstr "%4s"       r+4 c=   w6  h4 i13 :     composite_layer_0
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_0
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_0 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_0
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_0 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_0

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_1
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_1
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_1 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_1
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_1 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_1

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_2
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_2
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_2 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_2
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_2 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_2

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_3
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_3
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_3 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_3
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_3 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_3

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_4
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_4
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_4 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_4
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_4 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_4

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_5
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_5
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_5 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_5
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_5 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_5

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_6
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_6
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_6 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_6
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_6 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_6

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_7
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_7
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_7 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_7
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_7 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_7

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_8
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_8
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_8 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_8
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_8 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_8

    buttstr "%4s"       r+4 c-54 w6  h4 i13 :     composite_layer_9
    string  "%s"        r=  c+6  w16 h4 i11 :     composite_material_9
    buttstr "THICKNESS" r=  c+16 w12 h4 i13 : set_composite_thickness_9 \
                                            ? material_value.hlp
    float   "%6.1f %%"  r=  c+12 w12 h4 i11 :     composite_thickness_9
    buttstr "ANGLE"     r=  c+12 w8  h4 i13 : set_composite_angle_9 \
                                            ? material_value.hlp
    float   "%8.2f"     r=  c+8  w12 h4 i11 :     composite_angle_9

    button "TOP"  r-40 c+14 w8 h4 i13 U : "*pick_list_top(composite_layer)"    ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(composite_layer,5)" ? up.hlp
    button "DOWN" r+36 c=   w8 h4 i13 U : "*pick_list_next(composite_layer,5)" ? down.hlp

    label "AVAILABLE MATERIALS" r6 c80 w28 h65 i12

    buttstr "%s" r+4 c+1 w16 h4 i13 : composite_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : composite_list_name_14

    button "TOP"  r-56 c+18 w8  h4 i13 U : "*pick_list_top(composite)"  ? top.hlp
    button "UP"   r+4  c=   w8  h4 i13 U : "*pick_list_prev(composite,7)" ? up.hlp
    button "DOWN" r+52 c=   w8  h4 i13 U : "*pick_list_next(composite,7)" ? down.hlp

    button "RESET"  r73 c2   w12 h10 i13 U \
         : "*material_reset material:composite"
    button "OK"     r=  c+94 w12 h10 i13 :  *remove_popup

  endpopup }

  newscreen "ORIENTATION"  r+6 c1   w16 h4 i10 : orientation
  newscreen "TABLES"       r=  c+16 w16 h4 i10 : table

  toggle "SHOW MODEL"     r+4 c1   w16 h4 i13 : *show_model
  toggle "SHOW COMPOSITE" r=  c+16 w16 h4 i13 : *show_composite

  toggle "ID MATERIALS" r+4 c1 w16 h4 i13 \
       : "*identify_materials *regen / *identify_none *regen"

  label  "ELEMENTS" r+4 c1   w12 h4 i12 
  button "ADD"      r=  c+12 w6  h4 i13 : *add_material_elements
  button "REM"      r=  c+6  w6  h4 i13 : *remove_material_elements
  integer "%-d"     r=  c+6  w8  h4 i11 :  material_use_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ mat_props2 "MATERIAL PROPERTIES" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_material
  string "%s"   r=  c+8  w16 h4 i11   :  material_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_material
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_material
  button "NAME" r=  c+8  w8  h4 i13 U : *material_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_material
  popup  "EDIT" r=  c+8  w8  h4 i10   : *edit_material dr12 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED MATERIALS" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : material_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(material)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(material,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(material,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  label "MORE MECHANICAL MATERIAL TYPES" r+5 c1 w32 h29 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_mooney
  string "%s" r+4 c=   w3 h4 i9 : material_type_ogden
  string "%s" r+4 c=   w3 h4 i9 : material_type_foam
  string "%s" r+4 c=   w3 h4 i9 : material_type_soil
  string "%s" r+4 c=   w3 h4 i9 : material_type_powder

  popup "MOONEY" r-16 c2 w27 h4 i10 dr6 dc36 dw60 dh62 \
      : "*material_type mechanical:mooney" {

    label "MOONEY PROPERTIES" r1 c1 w60 h4 i12

    button "C10"     r+5 c2   w18 h4 i13 U : "*material_value mooney:c10"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_mooney:c10
    popup "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
        : "*material_table mooney:c100" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table mooney:c100"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_mooney:c100

    button "C01"     r+4 c2   w18 h4 i13 U : "*material_value mooney:c01"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_mooney:c01
    popup "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
        : "*material_table mooney:c010" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table mooney:c010"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_mooney:c010

    button "C11"     r+4 c2   w18 h4 i13 U : "*material_value mooney:c11"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_mooney:c11
    popup "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
        : "*material_table mooney:c110" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table mooney:c110"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_mooney:c110

    button "C20"     r+4 c2   w18 h4 i13 U : "*material_value mooney:c20"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_mooney:c20
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table mooney:c200" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table mooney:c200"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_mooney:c200

    button "C30"     r+4 c2   w18 h4 i13 U : "*material_value mooney:c30"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_mooney:c30
    popup  "TABLE" r= c+18 w8 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table mooney:c300" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table mooney:c300"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : material_table_mooney:c300

    button "MASS DENSITY" r+4 c2   w18 h4 i13 U \
         : "*material_value mooney:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_mooney:mass_density

    string "%s" r32 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r32 c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r32 c57 w3 h4 i9 :  material_type_iso_thermal

    popup "THERMAL EXP." r32 c42 w15 h4 i10 dr9 dc42 dw62 dh22 \
        : "*material_type thermal_expansion:iso_thermal" {

#include iso_thermal.m

    endpopup }

    label "RATE EFFECTS" r38 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_strain_visco
    string "%s" r+4 c=   w3 h4 i9 : material_type_phi

    popup "VISCOELASTIC" r42 c9 w15 h4 i10 dr9 dc42 dw46 dh94 \
        : "*material_type rate:strain_visco" {

#include strain_visco.m

    endpopup }

    popup "PHI" r46 c9 w15 h4 i10 dr9 dc42 dw40 dh60 \
        : "*material_type rate:phi" {

#include phi.m

    endpopup }

    button "RESET"  r52 c2   w12 h10 i13 U \
         : "*material_reset mechanical:mooney"
    button "REMOVE" r=  c>23 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:mooney"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "OGDEN" r+4 c= w27 h4 i10 dr3 dc36 dw60 dh111 \
      : "*material_type mechanical:ogden" {

    label "OGDEN PROPERTIES" r1 c1 w60 h4 i12

    button "BULK MODULUS" r+5 c2   w18 h4 i13 U \
         : "*material_value ogden:bulk_modulus"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_ogden:bulk_modulus

    button "MASS DENSITY" r+4 c2   w18 h4 i13 U \
         : "*material_value ogden:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_ogden:mass_density

    button "# TERMS" r+4 c2   w18 h4 i13 U : "*material_value ogden:nterm"
    float  "%-14.6g" r=  c+18 w18 h4 i11 :   material_value_ogden:nterm

    label  "MODULI"    r+5 c2   w22 h4 i12
    label  "EXPONENTS" r=  c+24 w22 h4 i12

    button " 1"      r+4 c2   w4  h4 i13 U : "*material_value ogden:modulus1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus1
    button " 1"      r=  c+20 w4  h4 i13 U : "*material_value ogden:exponent1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent1
    button " 2"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus2
    button " 2"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent2
    button " 3"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus3
    button " 3"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent3
    button " 4"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus4
    button " 4"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent4
    button " 5"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus5"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus5
    button " 5"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent5"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent5
    button " 6"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus6"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus6
    button " 6"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent6"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent6
    button " 7"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus7"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus7
    button " 7"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent7"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent7
    button " 8"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus8"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus8
    button " 8"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent8"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent8
    button " 9"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus9"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus9
    button " 9"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent9"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent9
    button "10"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus10"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus10
    button "10"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent10"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent10
    button "11"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus11"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus11
    button "11"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent11"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent11
    button "12"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus12"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus12
    button "12"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent12"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent12
    button "13"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus13"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus13
    button "13"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent13"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent13
    button "14"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus14"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus14
    button "14"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent14"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent14
    button "15"      r+4 c2   w4  h4 i13 : "*material_value ogden:modulus15"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:modulus15
    button "15"      r=  c+20 w4  h4 i13 : "*material_value ogden:exponent15"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_ogden:exponent15

    string "%s" r85 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r85 c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r85 c57 w3 h4 i9 : material_type_iso_thermal

    popup "THERMAL EXP." r85 c42 w15 h4 i10 dr9 dc42 dw62 dh22 \
        : "*material_type thermal_expansion:iso_thermal" {

#include iso_thermal.m

    endpopup }

    label  "RATE EFFECTS" r91 c9 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_ogden_visco

    popup "VISCOELASTIC" r95 c9 w15 h4 i10 dr9 dc42 dw84 dh93 \
        : "*material_type rate:ogden_visco" {

#include ogden_visco.m

    endpopup }

    label  "DAMAGE EFFECTS" r91 c35 w18 h4 i12

    string "%s" r+4 c+15 w3 h4 i9 : material_type_rubber

    popup "RUBBER" r95 c35 w15 h4 i10 dr9 dc42 dw58 dh48 \
        : "*material_type damage:rubber" {

      label "RUBBER DAMAGE PROPERTIES" r1 c1 w58 h4 i12

      label "METHOD" r+5 c2 w32 h4 i12
      group {
        oneonly "ENTERED VALUES"         r+4 c= w32 h4 i13 \
              : "*material_option rubber:method:default"
        oneonly "USER SUBROUTINE UELDAM" r+4 c= w32 h4 i13 \
              : "*material_option rubber:method:usersub"
      endgroup }

      button "DEVIATORIC DAMAGE RATE"       r+6 c2   w38 h4 i13 \
           : "*material_value rubber:dev_rate"
      float  "%-14.6g"                      r=  c+38 w18 h4 i11 \
           :   material_value_rubber:dev_rate
      button "MAX DEVIATORIC DAMAGE FACTOR" r+4 c-38 w38 h4 i13 \
           : "*material_value rubber:max_dev_factor"
      float  "%-14.6g"                      r=  c+38 w18 h4 i11 \
           :   material_value_rubber:max_dev_factor
      button "VOLUMETRIC DAMAGE RATE"       r+4 c-38 w38 h4 i13 \
           : "*material_value rubber:vol_rate"
      float  "%-14.6g"                      r=  c+38 w18 h4 i11 \
           :   material_value_rubber:vol_rate
      button "MAX VOLUMETRIC DAMAGE FACTOR" r+4 c-38 w38 h4 i13 \
           : "*material_value rubber:max_vol_factor"
      float  "%-14.6g"                      r=  c+38 w18 h4 i11 \
           :   material_value_rubber:max_vol_factor

      button "RESET"  r+6 c2   w12 h10 i13 \
             : "*material_reset damage:rubber"
      button "REMOVE" r=  c>22 w12 h10 i13 \
             : "*remove_popup *material_remove_type damage:rubber"
      button "OK"     r=  c+44 w12 h10 i13 :  *remove_popup

    endpopup }

    button "RESET"  r101 c2   w12 h10 i13 U \
         : "*material_reset mechanical:ogden"
    button "REMOVE" r=  c>23 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:ogden"
    button "OK"     r=  c+46 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "FOAM" r+4 c= w27 h4 i10 dr3 dc36 dw72 dh98 \
      : "*material_type mechanical:foam" {

    label "FOAM PROPERTIES" r1 c1 w72 h4 i12

    button "MASS DENSITY" r+5 c2   w18 h4 i13 U \
         : "*material_value foam:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_foam:mass_density

    button "# TERMS" r+4 c2   w18 h4 i13 U : "*material_value foam:nterm"
    float  "%-14.6g" r=  c+18 w18 h4 i11   :   material_value_foam:nterm

    label  "MODULI"               r+6 c2   w22 h4 i12
    label  "DEVIATORIC EXPONENTS" r=  c+24 w22 h4 i12
    label  "VOLUMETRIC EXPONENTS" r=  c+24 w22 h4 i12

    button " 1"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus1
    button " 1"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent1
    button " 1"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent1
    button " 2"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus2
    button " 2"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent2
    button " 2"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent2
    button " 3"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus3
    button " 3"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent3
    button " 3"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent3
    button " 4"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus4
    button " 4"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent4
    button " 4"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent4
    button " 5"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus5"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus5
    button " 5"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent5"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent5
    button " 5"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent5"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent5
    button " 6"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus6"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus6
    button " 6"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent6"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent6
    button " 6"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent6"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent6
    button " 7"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus7"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus7
    button " 7"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent7"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent7
    button " 7"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent7"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent7
    button " 8"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus8"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus8
    button " 8"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent8"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent8
    button " 8"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent8"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent8
    button " 9"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus9"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus9
    button " 9"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent9"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent9
    button " 9"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent9"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent9
    button "10"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus10"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus10
    button "10"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent10"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent10
    button "10"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent10"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent10
    button "11"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus11"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus11
    button "11"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent11"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent11
    button "11"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent11"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent11
    button "12"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus12"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus12
    button "12"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent12"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent12
    button "12"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent12"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent12
    button "13"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus13"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus13
    button "13"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent13"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent13
    button "13"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent13"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent13
    button "14"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus14"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus14
    button "14"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent14"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent14
    button "14"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent14"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent14
    button "15"      r+4 c2   w4  h4 i13 : "*material_value foam:modulus15"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:modulus15
    button "15"      r=  c+20 w4  h4 i13 : "*material_value foam:dexponent15"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:dexponent15
    button "15"      r=  c+20 w4  h4 i13 : "*material_value foam:vexponent15"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_foam:vexponent15

    string "%s" r+6 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r= c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r= c57 w3 h4 i9 : material_type_iso_thermal

    popup "THERMAL EXP." r= c42 w15 h4 i10 dr9 dc42 dw62 dh22 \
        : "*material_type thermal_expansion:iso_thermal" {

#include iso_thermal.m

    endpopup }

    button "RESET"  r+6 c2   w12 h10 i13 U : "*material_reset mechanical:foam"
    button "REMOVE" r= c>29  w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:foam"
    button "OK"     r=  c+58 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "SOIL" r+4 c= w27 h4 i10 dr6 dc36 dw48 dh80 \
      : "*material_type mechanical:soil" {

    label "SOIL PROPERTIES" r1 c1 w48 h4 i12

    label "MODEL" r+5 c2 w28 h4 i12
    group {
      oneonly "LINEAR"           r+4 c= w28 h4 i13 \
            : "*material_option soil:model:linear"
      oneonly "CAM CLAY"         r+4 c= w28 h4 i13 \
            : "*material_option soil:model:camclay"
      oneonly "USER SUB. HYPELA" r+4 c= w28 h4 i13 \
            : "*material_option soil:model:usersub"
    endgroup }

    button "YOUNG'S MODULUS" r+6 c2   w28 h4 i13 \
         : "*material_value soil:youngs_modulus"
    float  "%-14.6g"            r=  c+28 w18 h4 i11 \
         :   material_value_soil:youngs_modulus

    button "POISSON RATIO" r+4 c2   w28 h4 i13 \
         : "*material_value soil:poisson_ratio"
    float  "%-14.6g"            r=  c+28 w18 h4 i11 \
         :   material_value_soil:poisson_ratio

    button "MASS DENSITY" r+4 c2   w28 h4 i13 \
         : "*material_value soil:mass_density"
    float  "%-14.6g"      r=  c+28 w18 h4 i11 \
         :   material_value_soil:mass_density

    button "THERMAL EXPANSION" r+4 c2   w28 h4 i13 \
         : "*material_value soil:thermal_expansion"
    float  "%-14.6g"            r=  c+28 w18 h4 i11 \
         :   material_value_soil:thermal_expansion

    button "YIELD STRENGTH" r+4 c2   w28 h4 i13 \
         : "*material_value soil:yield_strength"
    float  "%-14.6g"            r=  c+28 w18 h4 i11 \
         :   material_value_soil:yield_strength

    button "FLUID BULK MODULUS" r+4 c2   w28 h4 i13 \
         : "*material_value soil:bulk_modulus"
    float  "%-14.6g"            r=  c+28 w18 h4 i11 \
         :   material_value_soil:bulk_modulus

    button "DYNAMIC VISCOSITY" r+4 c2   w28 h4 i13 \
         : "*material_value soil:viscosity"
    float  "%-14.6g"   r=  c+28 w18 h4 i11 \
         :   material_value_soil:viscosity

    button "PERMEABILITY" r+4 c2   w28 h4 i13 \
         : "*material_value soil:permeability"
    float  "%-14.6g"      r=  c+28 w18 h4 i11 \
         :   material_value_soil:permeability

    button "COMPRESSION RATIO"  r+4 c2   w28 h4 i13 \
         : "*material_value soil:compression"
    float  "%-14.6g" r=  c+28 w18 h4 i11 \
         :   material_value_soil:compression

    button "RECOMPRESSION RATIO"  r+4 c2   w28 h4 i13 \
         : "*material_value soil:recompression"
    float  "%-14.6g" r=  c+28 w18 h4 i11 \
         :   material_value_soil:recompression

    button "CRITICAL STATE CURVE SLOPE" r+4 c2   w28 h4 i13 \
         : "*material_value soil:critical_slope"
    float  "%-14.6g"                    r=  c+28 w18 h4 i11 \
         :   material_value_soil:critical_slope

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:soil"
    button "REMOVE" r=  c>17 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:soil"
    button "OK"     r=  c+34 w12 h10 i13 :  *remove_popup

  endpopup }

  popup "POWDER" r+4 c= w27 h4 i10 dr6 dc36 dw80 dh89 \
      : "*material_type mechanical:powder" {

    label "POWDER PROPERTIES" r1 c1 w80 h4 i12

    button "YOUNG'S MODULUS" r+5 c2   w18 h4 i13 \
         : "*material_value powder:youngs_modulus"
    float  "%-14.6g"         r=  c+18 w18 h4 i11 \
         :   material_value_powder:youngs_modulus
    popup  "TABLE 1"         r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:youngs_modulus0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:youngs_modulus0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:youngs_modulus0
    popup  "2"  r= c+14 w4  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:youngs_modulus1" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:youngs_modulus1"
    endpopup }
    string "%s" r= c+4 w14 h4 i11 : material_table_powder:youngs_modulus1

    button "POISSON'S RATIO" r+4 c2   w18 h4 i13 \
         : "*material_value powder:poissons_ratio"
    float  "%-14.6g"         r=  c+18 w18 h4 i11 \
         :   material_value_powder:poissons_ratio
    popup  "TABLE 1"         r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:poissons_ratio0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:poissons_ratio0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:poissons_ratio0
    popup  "2"  r= c+14 w4  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:poissons_ratio1" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:poissons_ratio1"
    endpopup }
    string "%s" r= c+4 w14 h4 i11 : material_table_powder:poissons_ratio1

    button "MASS DENSITY" r+4 c2   w18 h4 i13 U \
         : "*material_value powder:mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_powder:mass_density

    button "YIELD STRESS" r+4 c2   w18 h4 i13 U \
         : "*material_value powder:yield_stress"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_powder:yield_stress
    popup  "TABLE"        r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:yield_stress0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:yield_stress0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:yield_stress0

    button "GAMMA"   r+4 c2   w18 h4 i13 \
         : "*material_value powder:gamma"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_powder:gamma

    button "BETA"    r+4 c2   w18 h4 i13 \
         : "*material_value powder:beta"
    float  "%-14.6g" r=  c+18 w18 h4 i11 \
         :   material_value_powder:beta

    button "VISCOSITY" r+4 c2   w18 h4 i13 \
         : "*material_value powder:viscosity"
    float  "%-14.6g"   r=  c+18 w18 h4 i11 \
         :   material_value_powder:viscosity
    popup  "TABLE"     r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:viscosity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:viscosity0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:viscosity0

    label  "COUPLED ANALYSES" r+4 c2   w78 h4 i12
    button "CONDUCTIVITY"     r+4 c2   w18 h4 i13 \
         : "*material_value powder:conductivity"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 \
         :   material_value_powder:conductivity
    popup  "TABLE 1"          r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:conductivity0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:conductivity0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:conductivity0
    popup  "2"  r= c+14 w4  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:conductivity1" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:conductivity1"
    endpopup }
    string "%s" r= c+4 w14 h4 i11 : material_table_powder:conductivity1

    button "SPECIFIC HEAT" r+4 c2   w18 h4 i13 \
         : "*material_value powder:specific_heat"
    float  "%-14.6g"       r=  c+18 w18 h4 i11 \
         :   material_value_powder:specific_heat
    popup  "TABLE 1"       r=  c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:specific_heat0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:specific_heat0"
    endpopup }
    string "%s" r= c+10 w14 h4 i11 : material_table_powder:specific_heat0
    popup  "2"  r= c+14 w4  h4 i13 dr15 dc36 dw84 dh75 \
         : "*material_table powder:specific_heat1" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 \
           : "*clear_material_table powder:specific_heat1"
    endpopup }
    string "%s" r= c+4 w14 h4 i11 : material_table_powder:specific_heat1

    button "MASS DENSITY" r+4 c2   w18 h4 i13 U \
         : "*material_value powder:heat_mass_density"
    float  "%-14.6g"      r=  c+18 w18 h4 i11 \
         :   material_value_powder:heat_mass_density

    label  "GAMMA COEFFICIENTS" r+5 c2   w22 h4 i12
    label  "BETA COEFFICIENTS"  r=  c+24 w22 h4 i12

    button " 1"      r+4 c2   w4  h4 i13 : "*material_value powder:gamma_coef1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:gamma_coef1
    button " 1"      r=  c+20 w4  h4 i13 : "*material_value powder:beta_coef1"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:beta_coef1
    button " 2"      r+4 c2   w4  h4 i13 : "*material_value powder:gamma_coef2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:gamma_coef2
    button " 2"      r=  c+20 w4  h4 i13 : "*material_value powder:beta_coef2"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:beta_coef2
    button " 3"      r+4 c2   w4  h4 i13 : "*material_value powder:gamma_coef3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:gamma_coef3
    button " 3"      r=  c+20 w4  h4 i13 : "*material_value powder:beta_coef3"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:beta_coef3
    button " 4"      r+4 c2   w4  h4 i13 : "*material_value powder:gamma_coef4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:gamma_coef4
    button " 4"      r=  c+20 w4  h4 i13 : "*material_value powder:beta_coef4"
    float  "%-14.6g" r=  c+4  w18 h4 i11 :   material_value_powder:beta_coef4

    string "%s" r73 c17 w3 h4 i9 : material_type_damping

    popup "DAMPING" r73 c2 w15 h4 i10 dr9 dc42 dw56 dh40 \
        : "*material_type damping" {

#include damping.m

    endpopup }

    string "%s" r73 c57 w3 h4 i9 : material_type_iso_thermal

    popup "THERMAL EXP." r73 c42 w15 h4 i10 dr9 dc42 dw62 dh22 \
        : "*material_type thermal_expansion:iso_thermal" {

#include iso_thermal.m

    endpopup }

    button "RESET"  r79 c2   w12 h10 i13 \
         : "*material_reset mechanical:powder"
    button "REMOVE" r=  c>33 w12 h10 i13 \
         : "*remove_popup *material_remove_type mechanical:powder"
    button "OK"     r=  c+66 w12 h10 i13 :  *remove_popup

  endpopup }

  newscreen "PREVIOUS" r+4 c= w27 h4 i10 : return

  newscreen "ORIENTATION" r+6 c1   w16 h4 i10 : orientation
  newscreen "TABLES"      r=  c+16 w16 h4 i10 : table

  toggle "SHOW MODEL"     r+4 c1   w16 h4 i13 : *show_model
  toggle "SHOW COMPOSITE" r=  c+16 w16 h4 i13 : *show_composite

  toggle "ID MATERIALS" r+4 c1 w16 h4 i13 \
       : "*identify_materials *regen / *identify_none *regen"

  label  "ELEMENTS" r+5 c1   w12 h4 i12 
  button "ADD"      r=  c+12 w6  h4 i13 : *add_material_elements
  button "REM"      r=  c+6  w6  h4 i13 : *remove_material_elements
  integer "%-d"     r=  c+6  w8  h4 i11 :  material_use_count

#include select_std.m
#include standard2.m
#include transform.m

endscreen }

#include orient.m
