# dw62 dh48

label "THERMAL EXPANSION PROPERTIES" r1 c1 w62 h4 i12

label "METHOD" r+5 c2 w20 h4 i12
group {
  oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 \
          : "*material_option ortho_thermal:method:default"
  oneonly "USER SUB. ANEXP" r+4 c= w20 h4 i13 \
          : "*material_option ortho_thermal:method:usersub"
endgroup }

label  "THERMAL EXPANSION COEFFICIENTS" \
                 r+6 c2   w60 h4 i12
button "ALPHA11" r+4 c=   w20 h4 i13 \
     : "*material_value ortho_thermal:thermal_exp11"
float  "%-13.4g" r=  c+20 w18 h4 i11 \
     :   material_value_ortho_thermal:thermal_exp11
popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
     : "*material_table ortho_thermal:thermal_exp110" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table ortho_thermal:thermal_exp110"
endpopup }
string "%s" r= c+8 w14 h4 i11 : material_table_ortho_thermal:thermal_exp110

button "ALPHA22" r+4 c2   w20 h4 i13 \
     : "*material_value ortho_thermal:thermal_exp22"
float  "%-13.4g" r=  c+20 w18 h4 i11 \
     :   material_value_ortho_thermal:thermal_exp22
popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
     : "*material_table ortho_thermal:thermal_exp220" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table ortho_thermal:thermal_exp220"
endpopup }
string "%s" r= c+8 w14 h4 i11 : material_table_ortho_thermal:thermal_exp220

button "ALPHA33" r+4 c2   w20 h4 i13 \
     : "*material_value ortho_thermal:thermal_exp33"
float  "%-13.4g" r=  c+20 w18 h4 i11 \
     :   material_value_ortho_thermal:thermal_exp33
popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
     : "*material_table ortho_thermal:thermal_exp330" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
         : "*clear_material_table ortho_thermal:thermal_exp330"
endpopup }
string "%s" r= c+8 w14 h4 i11 : material_table_ortho_thermal:thermal_exp330

button "RESET"  r+6 c2   w12 h10 i13 \
       : "*material_reset thermal_expansion:ortho_thermal"
button "REMOVE" r=  c>24 w12 h10 i13 \
       : "*remove_popup *material_remove_type thermal_expansion:ortho_thermal"
button "OK"     r=  c+48 w12 h10 i13 :  *remove_popup
