screen ~ results "POSTPROCESSING RESULTS" r1 c1 w32 h4 i12 H120 W128 {

  label "FILE" r6  c1 w32 h30 i12

  string "%s"           r+4 c+1  w30 h4 i11 :  post_file
  button "OPEN DEFAULT" r+4 c=   w15 h4 i13 : *post_open_default
  button "OPEN"         r=  c+15 w15 h4 i13 : *post_open
  button "CLOSE"        r+4 c-15 w15 h4 i13 : *post_close
  button "SCAN"         r=  c+15 w15 h4 i13 : *post_scan
  button "NEXT INC"     r+5 c-15 w15 h4 i13 : *post_next
  button "SKIP INCS"    r=  c+15 w15 h4 i13 : *post_skip
  button "REWIND"       r+4 c-15 w15 h4 i13 : *post_rewind
  button "SKIP TO INC"  r=  c+15 w15 h4 i13 : *post_skip_to
  button "MONITOR"      r+4 c-15 w15 h4 i13 : *post_monitor
  button "CHANGE TITLE" r=  c+15 w15 h4 i13 : *post_title

  label     "DEFORMED SHAPE" r+6 c1   w32 h14 i12
  newscreen "SETTINGS"       r+1 c+19 w12 h4  i10 : deformed_settings \
                                                  ? deformed_settings.hlp
  group {
    oneonly "OFF"        r+4 c2   w15 h4 i13 : "*set_deformed off"
    oneonly "DEF ONLY"   r+4 c=   w15 h4 i13 : "*set_deformed on"
    oneonly "DEF & ORIG" r=  c+15 w15 h4 i13 : "*set_deformed both"
  endgroup }

  label     "SCALAR PLOT" r+6 c1   w32 h35 i12
  newscreen "SETTINGS"    r+1 c+19 w12 h4  i10 : scalar_plot_settings \
                                               ? scalar_plot_settings.hlp

  group {
    oneonly "OFF"            r+4 c2   w15 h4 i13 : *post_off
    oneonly "CONTOUR LINES"  r+4 c=   w15 h4 i13 : *post_contour_lines
    oneonly "CONTOUR CENT"   r=  c+15 w15 h4 i13 : *post_contour_centroid
    oneonly "CONTOUR BANDS"  r+4 c-15 w15 h4 i13 : *post_contour_bands
    oneonly "CONT CONTOURS"  r=  c+15 w15 h4 i13 : *post_contour_continuous
    oneonly "SYMBOLS"        r+4 c-15 w15 h4 i13 : *post_symbols
    oneonly "NUMERICS"       r=  c+15 w15 h4 i13 : *post_numerics
    oneonly "ISO-SURFACES"   r+4 c-15 w15 h4 i13 : *post_isosurfaces
    oneonly "CUTTING PLANES" r=  c+15 w15 h4 i13 : *post_cutting_planes
    oneonly "BEAM CONTOURS"  r+4 c-15 w15 h4 i13 : *post_beam_contour
    oneonly "BEAM VALUES"    r=  c+15 w15 h4 i13 : *post_beam_value
  endgroup }

  popup "SCALAR" r+5 c2 w12 h4 i10 : *post_value dr6 dc36 dw72 dh75 {

    label "SELECT POST SCALAR" r1 c1 w72 h75 i12

    buttstr "%s" r+4 c2 w60 h4 i13 : post_value_list_label_0
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_1
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_2
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_3
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_4
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_5
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_6
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_7
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_8
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_9
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_10
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_11
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_12
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_13
    buttstr "%s" r+4 c= w60 h4 i13 : post_value_list_label_14

    button "TOP"  r-56 c+62 w8 h4 i13 U : "*pick_list_top(post_value)"     ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(post_value,14)" ? up.hlp
    button "DOWN" r+52 c=   w8 h4 i13 U : "*pick_list_next(post_value,14)" ? down.hlp

    button "OK" r+6 c32 w12 h8 i13 : *remove_popup

  endpopup }

  string "%s" r= c+12 w18 h4 i11 : post_value

  newscreen "PATH PLOT"    r+6 c1   w16 h4 i10 : post_pathplot
  newscreen "HISTORY PLOT" r=  c+16 w16 h4 i10 : post_history_plot

  newscreen "MORE" r+5 c1 w32 h6 i10 : results2 ? more.hlp

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ results2 "POSTPROCESSING RESULTS (CONT.)" r1 c1 w32 h4 i12 H120 W128 {

  label     "VECTOR PLOT" r+5 c1   w32 h15 i12
  newscreen "SETTINGS"    r+1 c+19 w12 h4  i10 : vector_plot_settings \
                                               ? vector_plot_settings.hlp

  group {
    oneonly "OFF"    r+4 c2   w15 h4 i13 : *post_off
    oneonly "ON"     r=  c+15 w15 h4 i13 : *post_vectors
  endgroup }

  popup  "VECTOR" r+5 c2 w12 h4 i10 : *post_vector dr6 dc36 dw72 dh75 {

    label "SELECT POST VECTOR" r1 c1 w72 h75 i12

    buttstr "%s" r+4 c2 w60 h4 i13 : post_vector_list_label_0
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_1
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_2
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_3
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_4
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_5
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_6
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_7
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_8
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_9
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_10
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_11
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_12
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_13
    buttstr "%s" r+4 c= w60 h4 i13 : post_vector_list_label_14

    button "TOP"  r-56 c+62 w8 h4 i13 U : "*pick_list_top(post_vector)"     ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(post_vector,14)" ? up.hlp
    button "DOWN" r+52 c=   w8 h4 i13 U : "*pick_list_next(post_vector,14)" ? down.hlp

    button "OK" r+6 c32 w12 h8 i13 : *remove_popup

  endpopup }

  string "%s" r= c+12 w18 h4 i11 : post_vector

  label     "TENSOR PLOT" r+6 c1   w32 h27 i12
  newscreen "SETTINGS"    r+1 c+19 w12 h4  i10 : tensor_plot_settings \
                                               ? tensor_plot_settings.hlp

  group {
    oneonly "OFF"           r+4 c2   w15 h4 i13 : *post_off
    oneonly "MIN PRINC VAL" r+4 c=   w15 h4 i13 : *post_principal_1
    oneonly "INT PRINC VAL" r=  c+15 w15 h4 i13 : *post_principal_2
    oneonly "MAX PRINC VAL" r+4 c-15 w15 h4 i13 : *post_principal_3
    oneonly "MAJ PRINC VAL" r=  c+15 w15 h4 i13 : *post_principal_major
    oneonly "ALL PRINC VAL" r+4 c-15 w15 h4 i13 : *post_principal_all
  endgroup }

  popup  "TENSOR" r+5 c2 w12 h4 i10 : *post_tensor dr6 dc36 dw72 dh75 {

    label "SELECT POST TENSOR" r1 c1 w72 h75 i12

    buttstr "%s" r+4 c2 w60 h4 i13 : post_tensor_label_0
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_1
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_2
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_3
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_4
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_5
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_6
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_7
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_8
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_9
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_10
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_11
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_12
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_13
    buttstr "%s" r+4 c= w60 h4 i13 : post_tensor_label_14

    button "TOP"  r-56 c+62 w8 h4 i13 U : "*pick_list_top(post_tensor)"     ? top.hlp
    button "UP"   r+4  c=   w8 h4 i13 U : "*pick_list_prev(post_tensor,14)" ? up.hlp
    button "DOWN" r+52 c=   w8 h4 i13 U : "*pick_list_next(post_tensor,14)" ? down.hlp

    button "OK" r+6 c32 w12 h8 i13 : *remove_popup

  endpopup }

  string "%s" r= c+12 w18 h4 i11 : post_tensor

  label     "ANIMATE"    r+6 c1   w32 h14 i12
  newscreen "ANIMATION"  r+1 c+16 w15 h4  i10 :  animation
  button    "INCREMENTS" r+4 c-15 w15 h4  i13 : *post_animate_increments
  button    "MODE"       r=  c+15 w15 h4  i13 : *post_animate_mode
  button    "HARMONICS"  r+4 c-15 w15 h4  i13 : *post_animate_harmonic

  label  "POST ELEMENTS" r+6 c1   w20 h4 i12
  button "ADD"           r=  c+20 w6  h4 i13 : "*post_elements"
  button "REM"           r=  c+6  w6  h4 i13 : "*unpost_elements"
  label  "EDGE NORMALS"  r+4 c-26 w20 h4 i12
  button "ADD"           r=  c+20 w6  h4 i13 : "*add_normal_edges"
  button "REM"           r=  c+6  w6  h4 i13 : "*remove_normal_edges"
  label  "FACE NORMALS"  r+4 c-26 w20 h4 i12
  button "ADD"           r=  c+20 w6  h4 i13 : "*add_normal_faces"
  button "REM"           r=  c+6  w6  h4 i13 : "*remove_normal_faces"

  button "ISOLATE ELEMS" r+5 c1   w16 h4 i13 : *post_isolate
  button "REZONE MESH"   r=  c+16 w16 h4 i13 : *post_rezone

  button "SHOW NODE"     r+4 c1  w16  h4 i13 : "*post_show_nodes"

  toggle "DELTA"         r=  c+16 w16 h4 i13 : \
  "*set_post_delta on / *set_post_delta off"

  toggle "NODAL TRANSFORMS" r+4 c-16 w16 h4 i13 : \
  "*set_post_tform_nqs on / *set_post_tform_nqs off"

  toggle "USER TENSORS" r=  c+16 w16 h4 i13 : \
  "*set_post_user_tensors on / *set_post_user_tensors off"

  newscreen "PREVIOUS" r+6 c1 w32 h6 i10 : return ? previous.hlp

#include select_std.m
#include standard2.m
#include transform.m

endscreen }

screen ~ deformed_settings "DEFORMED SHAPE SETTINGS" r1 c1 w32 h4 i12 H120 W128 {

  label "DEFORMATION SCALING" r6  c1 w32 h14 i12

  group {
    oneonly "MANUAL"    r+4 c+1 w12 h4 i13 U : "*set_automag off"
    oneonly "AUTOMATIC" r+5 c=  w=  h= i=  U : "*set_automag on"
  endgroup }

  button "FACTOR"  r-5 c+12 w8  h4 i13 U :  *set_defmag
  float  "%-13.6g" r=  c+8  w10 h4 i11 U :   defmag
  label  "FACTOR"  r+5 c-8  w8  h4 i12
  float  "%-13.6g" r=  c+8  w10 h4 i11 U :   dmag

  label "HARMONIC ANALYSIS" r+6 c1 w32 h9 i12

  button "PHASE ANGLE" r+4 c+1  w15 h4 i13 U : *post_phase
  float  "%-13.6g"     r=  c+15 w15 h4 i11 U :  post_phase

  label "EDGES" r+6 c1 w16 h17 i12
  group {
    oneonly "FULL"    r+4 c+1 w14 h4 i13 : "*edges_full *regen"
    oneonly "SURFACE" r+4 c=  w=  h= i=  : "*edges_surface *regen"
    oneonly "OUTLINE" r+4 c=  w=  h= i=  : "*edges_outline *regen"
  endgroup }

  label "UNDEFORMED" r-12 c+15 w16 h17 i12
  group {
    oneonly "FULL"    r+4 c+1 w14 h4 i13 : "*undeformed_edges_full *regen"
    oneonly "SURFACE" r+4 c=  w=  h= i=  : "*undeformed_edges_surface *regen"
    oneonly "OUTLINE" r+4 c=  w=  h= i=  : "*undeformed_edges_outline *regen"
  endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ scalar_plot_settings "SCALAR PLOT SETTINGS" r1 c1 w32 h4 i12 H120 W128 {

  label "RANGE" r6  c1 w32 h27 i12

  group {
    oneonly "MANUAL"    r+4 c+1   w12 h8 i13 U : "*set_autorange off"
    oneonly "AUTOMATIC" r+9 c=    w=  h= i=  U : "*set_autorange on"
  endgroup }

  button "LIMITS"  r-9 c+12 w8  h8 i13 U : *range
  float  "%-11.4g" r=  c+8  w10 h4 i11 U :  range_min
  float  "%-11.4g" r+4 c=   w10 h4 i11 U :  range_max
  label  "LIMITS"  r+5 c-8  w8  h8 i12
  float  "%-11.4g" r=  c+8  w10 h4 i11 U :  vmin
  float  "%-11.4g" r+4 c=   w10 h4 i11 U :  vmax

  button  "# LEVELS"  r+5 c-20 w15 h= i13 : *levels
  integer "%-d"       r=  c+15 w15 h= i11 :  levels

  label  "CONTOUR LINES"  r+6 c1  w32 h9 i12
  toggle "LABEL CONTOURS" r+4 c+1 w30 h4 i13 \
       : "*label_contours on / *label_contours off"

  label "CUTTING PLANES" r+6 c1 w32 h40 i12

  button "POINT"   r+4 c+1  w15 h12 i13 : *set_cut_point
  float  "%-13.6g" r=  c+15 w15 h4  i11 : cut_point_x
  float  "%-13.6g" r+4 c=   w15 h4  i11 : cut_point_y
  float  "%-13.6g" r+4 c=   w15 h4  i11 : cut_point_z

  button "NORMAL"  r+5 c-15 w15 h12 i13 : *set_cut_normal
  float  "%-13.6g" r=  c+15 w15 h4  i11 :  cut_normal_x
  float  "%-13.6g" r+4 c=   w15 h4  i11 :  cut_normal_y
  float  "%-13.6g" r+4 c=   w15 h4  i11 :  cut_normal_z

  button  "PLANES" r+5 c-15 w15 h4 i13 : *set_cut_planes
  integer "%-d"    r=  c+15 w15 h4 i11 :  cut_planes

  button "SPACING" r+5 c-15 w15 h4 i13 : *set_cut_spacing
  float  "%-13.6g" r=  c+15 w15 h4 i11 :  cut_spacing


  toggle "LEGEND" r+6 c1 w16 h4 i13 \
       : "*draw_legend on / *draw_legend off"

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ vector_plot_settings "VECTOR PLOT SETTINGS" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "VECTOR LENGTH SCALING" r6 c1 w32 h14 i12

  group {
    oneonly "MANUAL"    r+4 c+1 w12 h4 i13 U : "*set_autovec off"
    oneonly "AUTOMATIC" r+5 c=  w=  h= i=  U : "*set_autovec on"
  endgroup }

  button "FACTOR"  r-5 c+12 w8  h4 i13 U : *set_vecmag
  float  "%-13.6g" r=  c+8  w10 h4 i11 U :  vecmag
  label  "FACTOR"  r+5 c-8  w8  h4 i12
  float  "%-13.6g" r=  c+8  w10 h4 i11 U :  vmag

  label "RANGE" r+6 c1 w32 h32 i12

  group {
    oneonly "MANUAL"    r+4 c+1 w12 h8 i13 U : "*set_autorange off"
    oneonly "AUTOMATIC" r+9 c=  w=  h= i=  U : "*set_autorange on"
  endgroup }

  button "LIMITS"  r-9 c+12 w8  h8 i13 U : *range
  float  "%-11.4g" r=  c+8  w10 h4 i11 U :  range_min
  float  "%-11.4g" r+4 c=   w10 h4 i11 U :  range_max
  label  "LIMITS"  r+5 c-8  w8  h8 i12
  float  "%-11.4g" r=  c+8  w10 h4 i11 U :  vmin
  float  "%-11.4g" r+4 c=   w10 h4 i11 U :  vmax

  button  "# LEVELS"  r+5 c-20 w15 h= i13 : *levels
  integer "%-d"       r=  c+15 w15 h= i11 :  levels

  button  "THRESHOLD" r+5 c-15 w15 h= i13 : *post_vect_threshold
  float  "%-13.6g"    r=  c+15 w15 h= i11 :  post_vect_threshold

  toggle "LEGEND" r+6 c1 w16 h4 i13 \
       : "*draw_legend on / *draw_legend off"

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ tensor_plot_settings "TENSOR PLOT SETTINGS" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "TENSOR LENGTH SCALING" r6 c1 w32 h14 i12

  label  "MANUAL"  r+4 c2   w12 h4 i12
  button "FACTOR"  r=  c+12 w8  h4 i13 U : *principal_factor
  float  "%-13.6g" r=  c+8  w10 h4 i11 U :  principal_factor

  group {
    oneonly "UNIFORM"     r+5 c2   w15 h4 i13 U : "*principal_uniform on"
    oneonly "NON-UNIFORM" r=  c+15 w=  h= i=  U : "*principal_uniform off"
  endgroup }

  toggle "LEGEND" r+6 c1 w16 h4 i13 \
       : "*draw_legend on / *draw_legend off"

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ post_pathplot "PATH PLOT" r1 c1 w32 h4 i12 H120 W128 {

  label  "FILE"        r6  c1   w32 h17 i12
  button "NEXT INC"    r+4 c+1  w15 h4 i13 : *post_next
  button "SKIP INCS"   r=  c+15 w15 h4 i13 : *post_skip
  button "REWIND"      r+4 c-15 w15 h4 i13 : *post_rewind
  button "SKIP TO INC" r=  c+15 w15 h4 i13 : *post_skip_to
  button "MONITOR"     r+4 c-15 w15 h4 i13 : *post_monitor
  button "SCAN"        r=  c+15 w15 h4 i13 : *post_scan

  toggle "SHOW PATH PLOT" r+6 c1   w16 h4 i13 : *show_pathplot
  toggle "SHOW MODEL"     r=  c+16 w16 h4 i13 : *show_model

  button    "NODE PATH"    r+5 c1   w16 h4 i13 : *set_pathplot_path
  newscreen "VARIABLES"    r=  c+16 w16 h4 i10 :  pathplot_vars
  button    "REMOVE CURVE" r+4 c-16 w16 h4 i13 : *pathplot_remove
  button    "CLEAR CURVES" r=  c+16 w16 h4 i13 : *pathplot_clear

  label   "LIMITS" r+5 c1   w32 h30 i12
  button  "FIT"    r+1 c+16 w15 h4  i13 : *pathplot_fit
  button  "XMIN"   r+4 c-15 w15 h4  i13 : *set_pathplot_xmin
  float   "%-12g"  r=  c+15 w15 h4  i11 :      pathplot_xmin
  button  "XMAX"   r+4 c-15 w15 h4  i13 : *set_pathplot_xmax
  float   "%-12g"  r=  c+15 w15 h4  i11 :      pathplot_xmax
  button  "YMIN"   r+4 c-15 w15 h4  i13 : *set_pathplot_ymin
  float   "%-12g"  r=  c+15 w15 h4  i11 :      pathplot_ymin
  button  "YMAX"   r+4 c-15 w15 h4  i13 : *set_pathplot_ymax
  float   "%-12g"  r=  c+15 w15 h4  i11 :      pathplot_ymax
  button  "XSTEP"  r+4 c-15 w15 h4  i13 : *set_pathplot_xstep
  integer "%-d"    r=  c+15 w15 h4  i11 :      pathplot_xstep
  button  "YSTEP"  r+4 c-15 w15 h4  i13 : *set_pathplot_ystep
  integer "%-d"    r=  c+15 w15 h4  i11 :      pathplot_ystep

  label  "LABEL"       r+6 c1   w32 h13 i12
  toggle "LEGEND"      r+4 c+1  w15 h4  i13 \
       : "*draw_legend on / *draw_legend off"
  toggle "FILLED"      r=  c+15 w15 h4  i13 \
       : "*pathplot_filled / *pathplot_unfilled"
  button "SHOW IDS"    r+4 c-15 w15 h4  i13 : *set_pathplot_node_id
  string "%s"          r=  c+15 w15 h4  i11 :  set_pathplot_node_id

  button "SAVE"          r+6 c1   w16 h4 i13 : *pathplot_write
  button "CONVERT>TABLE" r=  c+16 w16 h4 i13 : *pathplot_table

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~  pathplot_vars "PATH PLOT VARIABLES" r1 c1 w32 h4 i12 H120 W128 {

  label  "FILE"        r6  c1   w32 h17 i12
  button "NEXT INC"    r+4 c+1  w15 h4 i13 : *post_next
  button "SKIP INCS"   r=  c+15 w15 h4 i13 : *post_skip
  button "REWIND"      r+4 c-15 w15 h4 i13 : *post_rewind
  button "SKIP TO INC" r=  c+15 w15 h4 i13 : *post_skip_to
  button "MONITOR"     r+4 c-15 w15 h4 i13 : *post_monitor
  button "SCAN"        r=  c+15 w15 h4 i13 : *post_scan

  button "ADD CURVE"    r+6 c1   w16 h4 i13 : *pathplot_add
  button "ADD VARIABLE" r=  c+16 w16 h4 i13 : *pathplot_add_var
  button "REMOVE CURVE" r+4 c-16 w16 h4 i13 : *pathplot_remove
  button "CLEAR CURVES" r=  c+16 w16 h4 i13 : *pathplot_clear
  button "FIT"          r+4 c-16 w16 h4 i13 : *pathplot_fit

  label "VARIABLES" r+5 c1 w32 h75 i12

  button "UP"  r+4 c+1  w15 h4 i13 : "*pick_list_prev(pathplot_variable,14)" ? up.hlp
  button "TOP" r=  c+15 w15 h4 i13 : "*pick_list_top(pathplot_variable)"    ? top.hlp

  buttstr "%s" r+5 c2 w30 h4 i13 : pathplot_variable_name_0
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_1
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_2
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_3
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_4
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_5
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_6
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_7
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_8
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_9
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_10
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_11
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_12
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_13
  buttstr "%s" r+4 c= w30 h4 i13 : pathplot_variable_name_14

  button "DOWN" r+5 c2 w15 h4 i13 : "*pick_list_next(pathplot_variable,14)" ? down.hlp

#include standard.m
#include transform.m

endscreen }

screen ~ post_history_plot "HISTORY PLOT" r1 c1 w32 h4 i12 H120 W128 {

  label  "FILE"        r6  c1   w32 h17 i12
  button "NEXT INC"    r+4 c+1  w15 h4 i13 : *post_next
  button "SKIP INCS"   r=  c+15 w15 h4 i13 : *post_skip
  button "REWIND"      r+4 c-15 w15 h4 i13 : *post_rewind
  button "SKIP TO INC" r=  c+15 w15 h4 i13 : *post_skip_to
  button "MONITOR"     r+4 c-15 w15 h4 i13 : *post_monitor
  button "SCAN"        r=  c+15 w15 h4 i13 : *post_scan

  toggle "SHOW HISTORY" r+6 c1   w16 h4 i13 : *show_history
  toggle "SHOW MODEL"   r=  c+16 w16 h4 i13 : *show_model

  button    "SET NODES"       r+5 c1   w16 h4 i13 : *set_history_nodes
  button    "COLLECT DATA"    r=  c+16 w16 h4 i13 : *history_collect
  newscreen "NODES/VARIABLES" r+4 c-16 w32 h4 i10 :  history_nodes_vars
  button    "REMOVE CURVE"    r+4 c=   w16 h4 i13 : *history_remove
  button    "CLEAR CURVES"    r=  c+16 w16 h4 i13 : *history_clear

  label   "LIMITS" r+5 c1   w32 h30 i12
  button  "FIT"    r+1 c+16 w15 h4  i13 : *history_fit
  button  "XMIN"   r+4 c-15 w15 h4  i13 : *set_history_xmin
  float   "%-12g"  r=  c+15 w15 h4  i11 :      history_xmin
  button  "XMAX"   r+4 c-15 w15 h4  i13 : *set_history_xmax
  float   "%-12g"  r=  c+15 w15 h4  i11 :      history_xmax
  button  "YMIN"   r+4 c-15 w15 h4  i13 : *set_history_ymin
  float   "%-12g"  r=  c+15 w15 h4  i11 :      history_ymin
  button  "YMAX"   r+4 c-15 w15 h4  i13 : *set_history_ymax
  float   "%-12g"  r=  c+15 w15 h4  i11 :      history_ymax
  button  "XSTEP"  r+4 c-15 w15 h4  i13 : *set_history_xstep
  integer "%-d"    r=  c+15 w15 h4  i11 :      history_xstep
  button  "YSTEP"  r+4 c-15 w15 h4  i13 : *set_history_ystep
  integer "%-d"    r=  c+15 w15 h4  i11 :      history_ystep

  label  "LABEL"       r+6 c1   w32 h13 i12
  toggle "LEGEND"      r+4 c+1  w15 h4 i13 \
       : "*draw_legend on / *draw_legend off"
  toggle "FILLED"      r=  c+15 w15 h4  i13 \
       : "*history_filled / *history_unfilled"
  button "SHOW IDS"    r+4 c-15 w15 h4  i13 : *set_history_increment_id
  string "%s"          r=  c+15 w15 h4  i11 :  set_history_increment_id

  button "SAVE"          r+6 c1   w16 h4 i13 : *history_write
  button "CONVERT>TABLE" r=  c+16 w16 h4 i13 : *history_table

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~  history_nodes_vars "HISTORY PLOT NODES/VARIABLES" r1 c1 w32 h4 i12 \
                                                         H120 W128 {

  button "ADD CURVE"      r6  c1   w16 h4 i13 : *history_add
  button "ADD 2-NODE CRV" r=  c+16 w16 h4 i13 : *history_add_2nodes
  button "ADD NODE"       r+4 c-16 w16 h4 i13 : *history_add_node
  button "ADD VARIABLE"   r=  c+16 w16 h4 i13 : *history_add_var
  button "REMOVE CURVE"   r+4 c-16 w16 h4 i13 : *history_remove
  button "CLEAR CURVES"   r=  c+16 w16 h4 i13 : *history_clear
  button "FIT"            r+4 c-16 w16 h4 i13 : *history_fit

  label "NODES" r+5 c1 w32 h39 i12

  button "UP"  r+4 c+1  w15 h4 i13 : "*pick_list_prev(history_node,5)" ? up.hlp
  button "TOP" r=  c+15 w15 h4 i13 : "*pick_list_top(history_node)"    ? top.hlp

  buttstr "%s" r+5 c-15 w30 h4 i13 : history_node_0
  buttstr "%s" r+4 c=   w30 h4 i13 : history_node_1
  buttstr "%s" r+4 c=   w30 h4 i13 : history_node_2
  buttstr "%s" r+4 c=   w30 h4 i13 : history_node_3
  buttstr "%s" r+4 c=   w30 h4 i13 : history_node_4
  buttstr "%s" r+4 c=   w30 h4 i13 : history_node_5

  button "DOWN" r+5 c= w15 h4 i13 : "*pick_list_next(history_node,5)" ? down.hlp

  label "VARIABLES" r+6 c1 w32 h47 i12

  button "UP"  r+4 c+1  w15 h4 i13 : "*pick_list_prev(history_variable,7)" ? up.hlp
  button "TOP" r=  c+15 w15 h4 i13 : "*pick_list_top(history_variable)"    ? top.hlp

  buttstr "%s" r+5 c-15 w30 h4 i13 : history_variable_name_0
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_1
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_2
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_3
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_4
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_5
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_6
  buttstr "%s" r+4 c=   w30 h4 i13 : history_variable_name_7

  button "DOWN" r+5 c= w16 h4 i13 : "*pick_list_next(history_variable,7)" ? down.hlp

#include transform.m
#include standard.m

endscreen }
