screen ~ select "SELECT" r1 c1 w32 h4 i12  H120 W128 {

  button  "NODES" r6 c1   w12 h4 i13 : *select_nodes
  button  "STORE" r= c+12 w8  h4 i13 : *store_nodes
  integer "%-d"   r= c+8  w12 h4 i11 : select_node_count

  button  "ELEMENTS" r+4 c1   w12 h4 i13 : *select_elements
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_elements
  integer "%-d"      r=  c+8  w12 h4 i11 : select_element_count

  button  "...EDGES" r+4 c1   w12 h4 i13 : *select_edges
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_edges
  integer "%-d"      r=  c+8  w12 h4 i11 : select_edge_count

  button  "...FACES" r+4 c1   w12 h4 i13 : *select_faces
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_faces
  integer "%-d"      r=  c+8  w12 h4 i11 : select_face_count

  button  "POINTS" r+4 c1   w12 h4 i13 : *select_points
  button  "STORE"  r=  c+12 w8  h4 i13 : *store_points
  integer "%-d"    r=  c+8  w12 h4 i11 : select_point_count

  button  "CURVES" r+4 c1   w12 h4 i13 : *select_curves
  button  "STORE"  r=  c+12 w8  h4 i13 : *store_curves
  integer "%-d"    r=  c+8  w12 h4 i11 : select_curve_count

  button  "SURFACES" r+4 c1   w12 h4 i13 : *select_surfaces
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_surfaces
  integer "%-d"      r=  c+8  w12 h4 i11 : select_surface_count

  button  "SOLIDS" r+4 c1   w12 h4 i13 : *select_solids
  button  "STORE"  r=  c+12 w8  h4 i13 : *store_solids
  integer "%-d"    r=  c+8  w12 h4 i11 : select_solid_count

  button  "...VERTICES" r+4 c1   w12 h4 i13 : *select_solid_vertices
  button  "STORE"       r=  c+12 w8  h4 i13 : *store_solid_vertices
  integer "%-d"         r=  c+8  w12 h4 i11 : select_solid_vertex_count

  button  "...EDGES" r+4 c1   w12 h4 i13 : *select_solid_edges
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_solid_edges
  integer "%-d"      r=  c+8  w12 h4 i11 : select_solid_edge_count

  button  "...FACES" r+4 c1   w12 h4 i13 : *select_solid_faces
  button  "STORE"    r=  c+12 w8  h4 i13 : *store_solid_faces
  integer "%-d"      r=  c+8  w12 h4 i11 : select_solid_face_count

  button  "STORE NODE PATH" r+4 c1   w32 h4 i13 : *store_node_path

  popup "SELECT SET" r+4 c1 w16 h4 i10 dr12 dc36 dw70 dh76 : *select_sets {

#include select_list.m

  endpopup }

  popup "REMOVE SET" r= c+16 w16 h4 i10 dr12 dc36 dw70 dh76 : *remove_sets {

#include select_list.m

  endpopup }

  label  "SELECT BY:" r+4 c1  w32 h13 i12
  button "ELEM TYPE"  r+4 c+1 w15 h4  i13 : *select_elements_type

  popup "ELEM CLASS" r=  c+15 w15 h4 i10 : *select_elements_class \
                     dr6 dc36 dw32 dh47 {

    label "ELEMENT CLASSES" r1 c1 w32 h4 i12

    button "LINE (2)"   r+4 c+1  w15 h4 i13 : line2
    button "LINE (3)"   r=  c+15 w15 h4 i13 : line3
    button "TRIA (3)"   r+4 c-15 w15 h4 i13 : tria3
    button "TRIA (6)"   r=  c+15 w15 h4 i13 : tria6
    button "QUAD (4)"   r+4 c-15 w15 h4 i13 : quad4
    button "QUAD (6)"   r=  c+15 w15 h4 i13 : quad6
    button "QUAD (8)"   r+4 c-15 w15 h4 i13 : quad8
    button "QUAD (9)"   r=  c+15 w15 h4 i13 : quad9
    button "TETRA (4)"  r+4 c-15 w15 h4 i13 : tetra4
    button "TETRA (10)" r=  c+15 w15 h4 i13 : tetra10
    button "PENTA (6)"  r+4 c-15 w15 h4 i13 : penta6
    button "PENTA (15)" r=  c+15 w15 h4 i13 : penta15
    button "HEX (8)"    r+4 c-15 w15 h4 i13 : hex8
    button "HEX (12)"   r=  c+15 w15 h4 i13 : hex12
    button "HEX (20)"   r+4 c-15 w15 h4 i13 : hex20
    button "HEX (27)"   r=  c+15 w15 h4 i13 : hex27

    button "OK" r+6 c11 w12 h8 i13 : *remove_popup

  endpopup }

  popup "MATERIAL" r+4 c-15 w15 h4  i10 : *select_elements_material \
                   dr6 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED MATERIALS" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : material_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(material)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(material,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(material,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  popup "CONTACT BODY" r=  c+15 w15 h4  i10 : *select_contact_body \
                       dr6 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED CONTACT BODIES" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : cbody_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : cbody_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(cbody)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(cbody,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(cbody,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  newscreen "FILTER" r+5 c1 w16 h4 i10 : select_filter
  group {
    scroll "NONE"    r=  c+16 w16 h4 i13 : *select_filter_outline
    scroll "OUTLINE" r=  c=   w16 h4 i13 : *select_filter_surface
    scroll "SURFACE" r=  c=   w16 h4 i13 : *select_filter_none
  endgroup }

  newscreen "METHOD" r+4 c1 w16 h4 i10 : select_method
  group {
    scroll "SINGLE" r= c+16 w16 h4 i13 : *select_method_path
    scroll "PATH"   r= c=   w16 h4 i13 : *select_method_box
    scroll "BOX"    r= c=   w16 h4 i13 : *select_method_plane
    scroll "PLANE"  r= c=   w16 h4 i13 : *select_method_flood
    scroll "FLOOD"  r= c=   w16 h4 i13 : *select_method_single
  endgroup }
    
  newscreen "SELECT MODE" r+4 c1 w16 h4 i10 : select_mode
  group {
    scroll "AND"       r= c+16 w16 h4 i13 : *select_mode_except
    scroll "EXCEPT"    r= c=   w16 h4 i13 : *select_mode_invert
    scroll "INVERT"    r= c=   w16 h4 i13 : *select_mode_intersect
    scroll "INTERSECT" r= c=   w16 h4 i13 : *select_mode_and
  endgroup }

  button  "PLANE TOL." r+4 c1   w16 h4  i13 : *set_plane_tol
  float   "%-14.4g"    r=  c+16 w16 h4  i11 : plane_tol

  button "MAKE VISIBLE"   r+4 c1   w16 h4 i13 : *visible_selected
  button "MAKE INVISIBLE" r=  c+16 w16 h4 i13 : *invisible_selected
  button "CLEAR SELECT"   r+4 c1   w16 h6 i13 : *select_clear
  button "RESET"          r=  c+16 w16 h6 i13 : *select_reset

#  newscreen "MORE" r+5 c1 w32 h4 i10 : select1 ? more.hlp

#include select_std2.m
#include standard.m
#include transform.m

endscreen }

screen ~ select_filter "SELECT FILTER" r1 c1 w32 h13 i12  H120 W128 {

  group {
    oneonly "NONE"    r5  c2   w15 h4 i13 : *select_filter_none
    oneonly "OUTLINE" r+4 c=   w15 h4 i13 : *select_filter_outline
    oneonly "SURFACE" r=  c+15 w15 h4 i13 : *select_filter_surface
  endgroup }

#include standard.m
#include transform.m

endscreen }

screen ~ select_method "SELECT METHOD" r1 c1 w32 h17 i12  H120 W128 {

  group {
    oneonly "SINGLE" r5  c2   w15 h4 i13 : *select_method_single
    oneonly "PATH"   r=  c+15 w15 h4 i13 : *select_method_path
    oneonly "BOX"    r+4 c-15 w15 h4 i13 : *select_method_box
    oneonly "PLANE"  r=  c+15 w15 h4 i13 : *select_method_plane
    oneonly "FLOOD"  r+4 c-15 w15 h4 i13 : *select_method_flood
  endgroup }

#include standard.m
#include transform.m

endscreen }

screen ~ select_mode "SELECT MODE" r1 c1 w32 h13 i12  H120 W128 {

  group {
    oneonly "AND"       r5  c2   w15 h4 i13 : *select_mode_and
    oneonly "EXCEPT"    r=  c+15 w15 h4 i13 : *select_mode_except
    oneonly "INVERT"    r+4 c-15 w15 h4 i13 : *select_mode_invert
    oneonly "INTERSECT" r=  c+15 w15 h4 i13 : *select_mode_intersect
  endgroup }

#include standard.m
#include transform.m

endscreen }
