label "SOLUTION CONTROL" r1 c1 w80 h4 i12

button  "MAX # INCREMENTS IN JOB" r+5 c2 w36 h4 i13 \
      : "*loadcase_value maxjobinc"
integer "%-d"                     r=  c+36 w18 h4 i11 \
      :   loadcase_value_maxjobinc
button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 : "*loadcase_value maxrec"
integer "%-d"                     r=  c+36 w18 h4 i11 :   loadcase_value_maxrec
button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 : "*loadcase_value minrec"
integer "%-d"                     r=  c+36 w18 h4 i11 :   loadcase_value_minrec

toggle "NON-POSITIVE DEFINITE"      r+6 c2 w36 h4 i13 \
     : "*loadcase_option nonpos:on / *loadcase_option nonpos:off"
toggle "PROCEED WHEN NOT CONVERGED" r+4 c2 w36 h4 i13 \
     : "*loadcase_option proceed:on / *loadcase_option proceed:off"

label "ITERATIVE PROCEDURE" r+6 c2 w36 h4 i12
group {
  oneonly "FULL NEWTON-RAPHSON"        r+4 c= w36 h4 i13 \
          : "*loadcase_option procedure:fullnr"
  oneonly "MODIFIED NEWTON-RAPHSON"    r+4 c= w36 h4 i13 \
          : "*loadcase_option procedure:modifiednr"
  oneonly "N-R WITH STRAIN CORRECTION" r+4 c= w36 h4 i13 \
          : "*loadcase_option procedure:straincorr"
endgroup }

label "CONTRIBUTION OF INITIAL STRESS TO STIFFNESS" r+6 c2 w78 h4 i12
group {
  oneonly "FULL"                   r+4 c= w30 h4 i13 \
          : "*loadcase_option initstress:full"
  oneonly "DEVIATORIC STRESS"      r+4 c= w30 h4 i13 \
          : "*loadcase_option initstress:deviatoric"
  oneonly "NONE"                   r+4 c= w30 h4 i13 \
          : "*loadcase_option initstress:none"
  oneonly "BEGIN INCREMENT STRESS" r+4 c= w30 h4 i13 \
          : "*loadcase_option initstress:begininc"
endgroup }

button "CONTRIBUTION FACTOR" r-8 c+30 w30 h4 i13 \
     : "*loadcase_value contribution"
float  "%-14.6g"             r=  c+30 w18 h4 i11 \
     : loadcase_value_contribution

button "OK" r+14 c34 w12 h8 i13 : *remove_popup
