# dw62 dh82

label "THERMO-RHEOLOGICALLY SIMPLE PROPERTIES" r1 c1 w62 h4 i12

label "SHIFT FUNCTION TYPE" r+5 c2 w20 h4 i12
group {
  oneonly "WLF"              r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:wlf"
  oneonly "POWER SERIES"     r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:series"
  oneonly "USER SUB. TRSFAC" r+4 c= w20 h4 i13 \
          : "*material_option thermo_rheologic:shift:usersub"
endgroup }

button "REF. TEMPERATURE" r+6 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:ref_temp"
float  "%-14.6g"          r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:ref_temp

label "WILLIAMS-LANDEL-FERRY" r+6 c2 w36 h4 i12

button "C1"               r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:wlf_c1"
float  "%-14.6g"          r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:wlf_c1
button "C2"               r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:wlf_c2"
float  "%-14.6g"          r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:wlf_c2

label "POWER SERIES" r+6 c2 w36 h4 i12

button  "C0"               r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:series_c0"
float   "%-14.6g"          r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c0
button  "# TERMS"          r+4 c2   w18 h4 i13 \
        : "*material_value thermo_rheologic:nterm"
integer "%-d"              r=  c+18 w18 h4 i11 \
        :   material_value_thermo_rheologic:nterm

label "POWER SERIES Ci" r6 c+20 w22 h4 i12

button " 1"          r+4 c=   w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c1"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c1
button " 2"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c2"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c2
button " 3"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c3"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c3
button " 4"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c4"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c4
button " 5"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c5"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c5
button " 6"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c6"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c6
button " 7"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c7"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c7
button " 8"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c8"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c8
button " 9"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c9"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c9
button "10"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c10"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c10
button "11"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c11"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c11
button "12"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c12"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c12
button "13"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c13"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c13
button "14"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c14"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c14
button "15"          r+4 c-4  w4  h4 i13 \
        : "*material_value thermo_rheologic:series_c15"
float  "%-14.6g"     r=  c+4  w18 h4 i11 \
        :   material_value_thermo_rheologic:series_c15

button "RESET"  r72 c2   w12 h10 i13 \
       : "*material_reset thermo_rheologic"
button "REMOVE" r=  c>24 w12 h10 i13 \
       : "*remove_popup *material_remove_type thermo_rheologic"
button "OK"     r=  c+48 w12 h10 i13 :  *remove_popup
