# dw60 dh68

label "TSAI-WU FAILURE CRITERIA" r1 c1 w60 h4 i12

button "MAX TENSILE STRESS X"     r+5 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_tensile_stress_x"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_tensile_stress_x

button "MAX COMPRESSIVE STRESS X" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_compressive_stress_x"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_compressive_stress_x

button "MAX TENSILE STRESS Y"     r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_tensile_stress_y"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_tensile_stress_y

button "MAX COMPRESSIVE STRESS Y" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_compressive_stress_y"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_compressive_stress_y

button "MAX TENSILE STRESS Z"     r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_tensile_stress_z"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_tensile_stress_z

button "MAX COMPRESSIVE STRESS Z" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_compressive_stress_z"
float  "%-14.6g"                  r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_compressive_stress_z

button "MAX SHEAR STRESS XY" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_shear_stress_xy"
float  "%-14.6g"             r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_shear_stress_xy

button "MAX SHEAR STRESS YZ" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_shear_stress_yz"
float  "%-14.6g"             r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_shear_stress_yz

button "MAX SHEAR STRESS ZX" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_shear_stress_zx"
float  "%-14.6g"             r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_shear_stress_zx

button "FAILURE INDEX" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_failure_index"
float  "%-14.6g"       r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_failure_index

button "INTERACTIVE STRENGTH TENSOR XY" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_strength_tensor_xy"
float  "%-14.6g"                        r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_strength_tensor_xy

button "INTERACTIVE STRENGTH TENSOR YZ" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_strength_tensor_yz"
float  "%-14.6g"                        r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_strength_tensor_yz

button "INTERACTIVE STRENGTH TENSOR ZX" r+4 c2   w40 h4 i13 \
       : "*material_value failure:tsai_wu_strength_tensor_zx"
float  "%-14.6g"                        r=  c+40 w18 h4 i11 \
       :   material_value_failure:tsai_wu_strength_tensor_zx

button "OK" r+6 c25 w12 h8 i13 : *remove_popup
